<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/userguide3/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/

// $route['(\w{2})/(.*)'] = '$2';

$route['en/main/rates'] = 'main/rates';
$route['en'] = 'main';
$route['ar'] = 'main';

$route['en/fetch_record/(:any)'] = 'main/fetch_record/$1';
$route['ar/fetch_record/(:any)'] = 'main/fetch_record/$1';

$route['en/main/switchLang'] = 'Main/switchLang';
$route['ar/main/switchLang'] = 'Main/switchLang';
$route['en/properties/for-sale'] = 'Main/properties_for_sale';
$route['ar/properties/for-sale'] = 'Main/properties_for_sale';
$route['en/properties/for-sale/(:any)'] = 'Main/properties_for_sale/$1';
$route['ar/properties/for-sale/(:any)'] = 'Main/properties_for_sale/$1';
$route['en/properties/for-sale/(:any)/(:any)'] = 'Main/properties_for_sale/$1/$2';
$route['ar/properties/for-sale/(:any)/(:any)'] = 'Main/properties_for_sale/$1/$2';
$route['en/properties/1-bed-for-sale'] = 'Main/for_sale_bedroom';
$route['ar/properties/1-bed-for-sale'] = 'Main/for_sale_bedroom';
$route['fetch_record/(:any)'] = 'Main/fetch_record/$1';

$route['en/main/load_for_sale_data'] = 'main/load_for_sale_data';
$route['ar/main/load_for_sale_data'] = 'main/load_for_sale_data';

$route['en/main/load_apartments_for_sale_data'] = 'main/load_apartments_for_sale_data';
$route['ar/main/load_apartments_for_sale_data'] = 'main/load_apartments_for_sale_data';

$route['en/main/load_villas_for_sale_data'] = 'main/load_villas_for_sale_data';
$route['ar/main/load_villas_for_sale_data'] = 'main/load_villas_for_sale_data';

$route['en/main/load_offplan_data'] = 'main/load_offplan_data';
$route['ar/main/load_offplan_data'] = 'main/load_offplan_data';
$route['en/main/load_offplan_townhouses_data'] = 'main/load_offplan_townhouses_data';
$route['ar/main/load_offplan_townhouses_data'] = 'main/load_offplan_townhouses_data';

$route['en/main/load_townhouse_rent_data'] = 'main/load_townhouse_rent_data';
$route['ar/main/load_townhouse_rent_data'] = 'main/load_townhouse_rent_data';

// $route['en/properties/for-sale'] = 'Main/properties_for_sale/ar';
// $route['ar/properties/for-sale'] = 'Main/properties_for_sale/ar';

//FOR SALE

//FOR SALE
// APARTMENTS FOR SALE
$route['en/property/for-sale/(:any)'] = 'Main/sale_property_detail_page/$1';
$route['ar/property/for-sale/(:any)'] = 'Main/sale_property_detail_page/$1';
$route['en/property/(:any)'] = 'Main/rent_property_detail_page/$1';
$route['ar/property/(:any)'] = 'Main/rent_property_detail_page/$1';


$route['en/properties/apartments-for-sale'] = 'Main/apartments_for_sale';
$route['ar/properties/apartments-for-sale'] = 'Main/apartments_for_sale';
// APARTMENTS FOR SALE

// HOUSE / VILLAS FOR SALE
$route['en/properties/house-villas-for-sale'] = 'Main/house_villas_for_sale';
$route['ar/properties/house-villas-for-sale'] = 'Main/house_villas_for_sale';
// HOUSE / VILLAS FOR SALE

// COMMERCIAL PROPERTY
$route['en/properties/commercial-for-sale'] = 'Main/commercial_for_sale';
$route['ar/properties/commercial-for-sale'] = 'Main/commercial_for_sale';
// COMMERCIAL PROPERTY

// FOR RENT
$route['en/properties/for-rent'] = 'Main/for_rent';
$route['ar/properties/for-rent'] = 'Main/for_rent';
$route['en/properties/for-rent/(:any)'] = 'Main/for_rent/$1';
$route['ar/properties/for-rent/(:any)'] = 'Main/for_rent/$1';
$route['en/properties/for-rent/(:any)/(:any)'] = 'Main/for_rent/$1/$2';
$route['ar/properties/for-rent/(:any)/(:any)'] = 'Main/for_rent/$1/$2';
$route['en/property/(:any)/(:any)'] = 'Main/rent_property_detail_page/$1/$2';
$route['ar/property/(:any)/(:any)'] = 'Main/rent_property_detail_page/$1/$2';
$route['en/main/rent_property_detail_page_latest_property/(:any)'] = 'main/rent_property_detail_page_latest_property/$1';
$route['ar/main/rent_property_detail_page_latest_property/(:any)'] = 'main/rent_property_detail_page_latest_property/$1';


$route['en/main/load_for_rent_data'] = 'main/load_for_rent_data';
$route['ar/main/load_for_rent_data'] = 'main/load_for_rent_data';
$route['en/main/load_apartment_rent_data'] = 'main/load_apartment_rent_data';
$route['ar/main/load_apartment_rent_data'] = 'main/load_apartment_rent_data';
$route['en/main/load_villa_rent_data'] = 'main/load_villa_rent_data';
$route['ar/main/load_villa_rent_data'] = 'main/load_villa_rent_data';

// FOR RENT

// APARTMENTS FOR RENT
$route['en/properties/apartments-for-rent'] = 'Main/apartments_for_rent';
$route['ar/properties/apartments-for-rent'] = 'Main/apartments_for_rent';
$route['en/main/new_property_detail_page_latest_property'] = 'main/new_property_detail_page_latest_property';
// APARTMENTS FOR RENT

// VILLA FOR RENT
$route['en/properties/villa-for-rent'] = 'Main/villa_for_rent';
$route['ar/properties/villa-for-rent'] = 'Main/villa_for_rent';
// VILLA FOR RENT

// TOWNHOUSE FOR RENT
$route['en/properties/townhouse-for-rent'] = 'Main/townhouse_for_rent';
$route['ar/properties/townhouse-for-rent'] = 'Main/townhouse_for_rent';
// TOWNHOUSE FOR RENT


// Off Plan
$route['en/new-developments'] = 'Main/new_developments';
$route['ar/new-developments'] = 'Main/new_developments';
// $route['en/new-developments/(:any)'] = 'Main/new_developments/$1';
// $route['ar/new-developments/(:any)'] = 'Main/new_developments/$1';
// Off Plan Apartments
$route['en/new-developments/apartments'] = 'Main/new_developments_apartments';
$route['ar/new-developments/apartments'] = 'Main/new_developments_apartments';
// Off Plan Apartments

// Off Plan Villas
$route['en/new-developments/villa-house'] = 'Main/new_developments_villa';
$route['ar/new-developments/villa-house'] = 'Main/new_developments_villa';
// Off Plan Villas

// Off Plan Townhouses
$route['en/new-developments/townhouses'] = 'Main/new_developments_townhouses';
$route['ar/new-developments/townhouses'] = 'Main/new_developments_townhouses';
// Off Plan Townhouses

// Off Plan Townhouses
$route['en/new-developments/penthouses'] = 'Main/new_developments_penthouses';
$route['ar/new-developments/penthouses'] = 'Main/new_developments_penthouses';
$route['en/main/load_offplan_penthouses_data'] = 'main/load_offplan_penthouses_data';
$route['ar/main/load_offplan_penthouses_data'] = 'main/load_offplan_penthouses_data';
// Off Plan Townhouses
$route['en/main/new_project_detail_page_latest_project/(:any)'] = 'main/new_project_detail_page_latest_project/$1';
$route['ar/main/new_project_detail_page_latest_project/(:any)'] = 'main/new_project_detail_page_latest_project/$1';
$route['en/main/load_offplan_apartments_data'] = 'main/load_offplan_apartments_data';
$route['ar/main/load_offplan_apartments_data'] = 'main/load_offplan_apartments_data';
$route['en/main/load_offplan_villa_data'] = 'main/load_offplan_villa_data';
$route['ar/main/load_offplan_villa_data'] = 'main/load_offplan_villa_data';

$route['en/new-developments/(:any)'] = 'Main/new_developments/$1';
$route['ar/new-developments/(:any)'] = 'Main/new_developments/$1';
$route['en/new-developments/(:any)/(:any)'] = 'Main/new_developments/$1/$2';
$route['ar/new-developments/(:any)/(:any)'] = 'Main/new_developments/$1/$2';
$route['en/new-developments/(:any)/(:any)/(:any)'] = 'Main/new_developments/$1/$2/$3';
$route['ar/new-developments/(:any)/(:any)/(:any)'] = 'Main/new_developments/$1/$2/$3';
// Off Plan

// Off Plan
$route['en/new-developments-in-dubai'] = 'Main/new_developments_in_dubai';
$route['ar/new-developments-in-dubai'] = 'Main/new_developments_in_dubai';
// $route['en/new-developments/dubai/dubai-marina'] = 'Main/new_developments_dubai_marina';
// $route['ar/new-developments/dubai/dubai-marina'] = 'Main/new_developments_dubai_marina';
// $route['en/new-developments/dubai/downtown-dubai'] = 'Main/new_developments_downtown_dubai';
// $route['ar/new-developments/dubai/downtown-dubai'] = 'Main/new_developments_downtown_dubai';
// $route['en/new-developments/dubai/business-bay'] = 'Main/new_developments_business_bay';
// $route['ar/new-developments/dubai/business-bay'] = 'Main/new_developments_business_bay';
// $route['en/new-developments/dubai/palm-jumeirah'] = 'Main/new_developments_palm_jumeirah';
// $route['ar/new-developments/dubai/palm-jumeirah'] = 'Main/new_developments_palm_jumeirah';
// $route['en/new-developments/dubai/creek-harbour'] = 'Main/new_developments_creek_harbour';
// $route['ar/new-developments/dubai/creek-harbour'] = 'Main/new_developments_creek_harbour';
// $route['en/new-developments/dubai/jumeirah-village-circle'] = 'Main/new_developments_jumeirah_village_circle';
// $route['ar/new-developments/dubai/jumeirah-village-circle'] = 'Main/new_developments_jumeirah_village_circle';
// $route['en/new-developments/dubai/jumeirah'] = 'Main/new_developments_jumeirah';
// $route['ar/new-developments/dubai/jumeirah'] = 'Main/new_developments_jumeirah';
// $route['en/new-developments/dubai/palm-jebel-ali'] = 'Main/new_developments_palm_jebel_ali';
// $route['ar/new-developments/dubai/palm-jebel-ali'] = 'Main/new_developments_palm_jebel_ali';
// Off Plan



// New Property Detail page
$route['en/project/(:any)'] = 'Main/new_project_detail_page/$1';
$route['ar/project/(:any)'] = 'Main/new_project_detail_page/$1';
// $route['en/property/(:any)'] = 'Main/sale_property_detail_page/$1';
// $route['ar/property/(:any)'] = 'Main/sale_property_detail_page/$1';
$route['en/main/sale_property_detail_page_latest_property'] = 'Main/sale_property_detail_page_latest_property';


// Off Plan Apartments

$route['en/meet-our-team'] = 'Main/meet_our_team';
$route['ar/meet-our-team'] = 'Main/meet_our_team';
$route['en/thank-you'] = 'Main/thank_you';
$route['ar/thank-you'] = 'Main/thank_you';


// SITE ROUTE DEFINE
$route['en/sitemap\.xml'] = "Sitemap/index";
$route['en/pages-sitemap\.xml'] = "Pages_sitemap/index";
$route['en/for-sale-sitemap\.xml'] = "For_sale_sitemap/index";
$route['en/apartments-for-sale-sitemap\.xml'] = "For_sale_apartments_sitemap/index";
$route['en/villas-for-sale-sitemap\.xml'] = "For_sale_villas_sitemap/index";

$route['en/for-rent-sitemap\.xml'] = "For_rent_sitemap/index";
$route['en/apartments-for-rent-sitemap\.xml'] = "For_rent_apartments_sitemap/index";
$route['en/villas-for-rent-sitemap\.xml'] = "For_rent_apartments_sitemap/index";
$route['en/townhouses-for-rent-sitemap\.xml'] = "For_rent_townhouses_sitemap/index";

$route['en/offplan-apartments-sitemap\.xml'] = "Offplan_apartments_sitemap/index";
$route['en/offplan-townhouses-sitemap\.xml'] = "Offplan_townhouses_sitemap/index";
$route['en/offplan-villas-sitemap\.xml'] = "Offplan_villas_sitemap/index";
$route['en/offplan-penthouses-sitemap\.xml'] = "Offplan_penthouses_sitemap/index";
$route['en/exchange-rate'] = "Main/exchangeRate";
$route['ar/exchange-rate'] = "Main/exchangeRate";
$route['en/for-private-sellers'] = "Main/sell";
// SITE ROUTE DEFINE
$route['en/robots.txt'] = "Robots";

//BLOG
$route['en/blog'] = "Main/blog";
$route['en/main/blog_list'] = "Main/blog_list";
$route['en/about-us'] = "Main/about_us";
$route['ar/about-us'] = "Main/about_us";
$route['en/blog/(:any)'] = "Main/blog_detail_page/$1";
$route['ar/blog/(:any)'] = "Main/blog_detail_page/$1";
//BLOG


$route['default_controller'] = 'main';
$route['404_override'] = '';
// $route['404_override'] = $route['default_controller'];
$route['translate_uri_dashes'] = FALSE;
