<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Main extends MY_Controller {

// public $data = array();

	public function __construct()
    {
        parent::__construct();
        // $this->session->unset_userdata('currency');
        
        // $language = ($language != "") ? $language : "english";
        // $this->session->set_userdata('lang', 'english');
        // $language = ($this->session->userdata('lang')) ? $this->session->userdata('lang') : 'english';

        
        // $this->config->set_item('language', $lang);
        
        // redirect($_SERVER['HTTP_REFERER']);
        if ($this->config->item('language_abbr') == 'ar')
        {
        	// $this->config->set_item('language_abbr', 'ar');
        	$this->session->set_userdata('lang','ar');
        	$this->lang->load('menu', 'arabic');
        }else{
        	$this->config->set_item('language_abbr', 'en');
        	$this->session->set_userdata('lang',$this->config->item('language_abbr'));
        	$this->lang->load('menu', 'english');
        }

       $this->load->helper('currency_convert');
        
    }

    public function offplan_search()
    {

    }

    public function exchangeRate()
    {
        // Fetch data from the API
        $apiUrl = 'https://v6.exchangerate-api.com/v6/2c0e8e24f2bc50ba6865ec23/latest/USD';
        $exchangeRates = file_get_contents($apiUrl);

        // Decode the JSON response
        $exchangeRates = json_decode($exchangeRates);

        // Create a JSON file
        $jsonFilePath = FCPATH . 'exchange_rates/exchange_rates.json';
        file_put_contents($jsonFilePath, json_encode($exchangeRates, JSON_PRETTY_PRINT));

        echo 'JSON file created successfully at: ' . $jsonFilePath;
    }

    public function import_data_sale_rent()
    {
    	$this->data['xml_url'] = 'https://expert.propertyfinder.ae/feed/salwa/genericportal/8d1238d672209b47aef4a03b04b97c1b';
        $xml_str = file_get_contents('https://expert.propertyfinder.ae/feed/salwa/genericportal/8d1238d672209b47aef4a03b04b97c1b');
        $this->data['result'] = json_decode(json_encode(simplexml_load_string($xml_str,'SimpleXMLElement', LIBXML_NOCDATA)), TRUE);

         $this->data['delete_sale_rent_data'] = $this->main_model->delete_sale_rent_data();
        $this->data['delete_sale_rent_images'] = $this->main_model->delete_sale_rent_images();
        
        $sale_rent_data = [];
        foreach ($this->data['result']['property'] as $key => $value) {
            $last_update = $value['@attributes']['last_update'];
            unset($value[$key]['@attributes']);
            // unset($this->data['sale_data']['property'][$key]['title']['@attributes']);
            if ($value['property_type'] == 'AP')
            {
                $type = 'apartments';
            }

            if ($value['property_type'] == 'HA')
            {
                $type = 'apartments';
            }

            if ($value['property_type'] == 'TH')
            {
                $type = 'townhouses';
            }

            if ($value['property_type'] == 'VH')
            {
                $type = 'villas';
            }
            if ($value['offering_type'] == 'RR')
            {
                $status = 'rent';
            }
            if ($value['offering_type'] == 'RS')
            {
                $status = 'sale';
            }
            if (!empty($value['amenities']))
            {
                $amenities = $value['amenities'];
            }else{
                $amenities = '';
            }

            if (!isset($value['bedroom']) || $value['bedroom'] === "0" || $value['bedroom'] == null)
            {
                $bedroom = 0;
            }else{
                $bedroom = $value['bedroom'];
            }

            if (!isset($value['bathroom']) || $value['bathroom'] === "0" || $value['bathroom'] == null)
            {
                $bathroom = 0;
            }else{
                $bathroom = $value['bathroom'];
            }


            $community_slug = strtolower(str_replace(' ','-',$value['community']));
            $sub_community = strtolower(str_replace(' ','-',$value['sub_community']));

                            $sale_rent_data[] = array(
                                                    'reference_number' => $value['reference_number'],
                                            'title'     =>  $value['title_en'],
                                            'property_name'     =>  (!empty($value['property_name']))?$value['property_name']:'',
                                            'community_name'        =>  $value['community'],
                                            'community_slug'        =>  strtolower(str_replace(' ','-',$value['community'])),
                                            'sub_community'         =>  $value['sub_community'],
                                            'bathroom'                  =>  $bathroom,
                                            'description'       =>  $value['description_en'],
                                            'city_name'     =>  $value['city'],
                                            'city_slug'     =>  strtolower(str_replace(' ','-',$value['city'])),
                                            'bedroom'       =>  $bedroom,
                                            'size'      =>  $value['size'],
                                            'property_type'     =>  $type,
                                            'category'      =>  $value['offering_type'],
                                            'price'     =>  $value['price'],
                                            'photo'     =>  $value['photo']['url'][0],
                                            'page_slug'     =>  strtolower(str_replace(array(" | "," "),'-',$value['title_en'])),
                                            'status'    =>  $status,
                                            'url_slug'  =>  $bedroom.'-br-'.$type.'-for-'.$status.'-in-'.$community_slug.'-'.$sub_community.'-'.$value['permit_number'],
                                            'amenities'  =>  $amenities,
                                            'last_update'   =>  $last_update,
                                        );
                            

                            foreach ($value['photo']['url'] as $key => $value1) {
            unset($value[$key]['@attributes']);
            
        $sale_rent_images[] = array(
                                            'reference_number'      => $value['reference_number'], 
                                            'image_path'        =>  $value1,
                                        );
    }
                
            }
            

        $this->main_model->insert_sale_rent_data($sale_rent_data);
        $this->main_model->insert_sale_rent_images($sale_rent_images);

    }

    public function rates()
    {
    	// URL to fetch data from
// $url = 'https://v6.exchangerate-api.com/v6/2c0e8e24f2bc50ba6865ec23/latest/AED';

// Fetch data from the URL
$data = file_get_contents($url);

if ($data !== false) {
    // Decode JSON data into a PHP array
    $dataArray = json_decode($data, true);

    if ($dataArray !== null) {
        // Convert PHP array back to JSON string
        $jsonString = json_encode($dataArray, JSON_PRETTY_PRINT);

        // Get the absolute path to the current script's directory
        $basePath = FCPATH;

        // Save JSON data to a file in the root directory
        $filename = $basePath . '/exchange_rate_data.json';
        file_put_contents($filename, $jsonString);

        echo 'Data saved to ' . $filename;
    } else {
        echo 'Failed to decode JSON data.';
    }
} else {
    echo 'Failed to fetch data from the URL.';
}
    }

    public function switchLang() {

        $language = $this->input->post('language');
        $currency = $this->input->post('currency');
        $current_page = str_replace([base_url().'en/',base_url().'en',base_url().'ar',base_url().'ar/'],['',''],$this->input->post('current'));
        if ($language == 'ar' && !empty($currency))
        {
        	$this->session->set_userdata('currency', $currency);
        	redirect(base_url().$language.'/'.$current_page);	
        	// redirect($_SERVER['HTTP_REFERER']);	
        }else{
        	$this->session->set_userdata('currency', $currency);
        	redirect(base_url().$language.'/'.$current_page);
        	// redirect($_SERVER['HTTP_REFERER']);
        }

        // if (!empty($currency))
        // {
        // 	$this->session->set_userdata('currency', $currency);
        // 	redirect($_SERVER['HTTP_REFERER']);
        // }

    }

	public function index()
	{	
		
		$this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();
        $this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();
        $this->data['off_plan_townhouses'] = $this->main_model->loadOffPlanTownhouses();
        $this->data['sale_data'] = $this->main_model->sale_data();
        $this->data['rent_data'] = $this->main_model->rent_data();
        

        $this->data['homepage_communities'] = $this->main_model->homepage_communities();
        $this->data['homepage_blog'] = $this->main_model->homepage_blog_info();
        $this->data['rent_info'] = $this->main_model->rent_info();
        $this->data['sale_info'] = $this->main_model->sale_info();

        $this->data['site_title'] = "Best Real Estate Agency in Dubai, UAE - Salwa Properties Agents";
        $this->data['site_description'] = "Welcome to Salwa Properties is the best Real Estate Agency near me in Dubai that provides a wide range of options in Luxury offplan projects Houses, Flats Apartments, Villas to buy or rent. Visit Now";
        $this->data['site_keywords'] = "Real Estate Agency, Real Estate Agency in dubai, Real Estate Agent in dubai, Real Estate Agency near me, best real estate";

        
        // Set the cache
        // $this->output->cache(1);

		$this->load->view('homepage_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('home');
		$this->load->view('forms/stay_updated_form');
		$this->load->view('forms/get_in_touch');
		$this->load->view('footer_page');
	}

    public function about_us()
    {

        $this->data['site_title'] = "Top Real Estate Agency in Dubai - Salwa Properties";
        $this->data['site_description'] = "Discover unrivaled real estate excellence in Dubai with Salwa Properties, the top agency offering premium properties and personalized service for your dream home";
        $this->data['site_keywords'] = "Real estate Dubai, Top real estate agency, Dubai property experts, Salwa Properties, Luxury homes Dubai, Property investments, Premium real estate, Exclusive properties, Dubai residential market, Real estate consultancy";

        $this->load->view('homepage_header_page', $this->data);
        $this->load->view('right-hidden-menu');
        $this->load->view('about-us');
        $this->load->view('forms/stay_updated_form');
        $this->load->view('forms/get_in_touch');
        $this->load->view('footer_page');
    }

	// public function en()
	// {
		
	// 	$this->load->view('homepage_header_page');
	// 	$this->load->view('right-hidden-menu');
	// 	$this->load->view('home');
	// 	$this->load->view('footer_page');
		
	// }

	// public function ar()
	// {
		
	// 	$this->load->view('homepage_header_page');
	// 	$this->load->view('right-hidden-menu');
	// 	$this->load->view('home');
	// 	$this->load->view('footer_page');
	// }

	

	public function fetch_record($query)
	{
		
		if (empty($query))
		{
				echo json_encode([]);exit;
		}

		$data = $this->main_model->getFetchRecord(urldecode($query));
		// $new_data=[];
		
		echo json_encode($data);exit;
	}

	public function load_for_sale_data()
	{
		$output = '';
		$data = $this->main_model->load_for_sale_data($this->input->post('city_slug'),$this->input->post('community_slug'),$this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=true);

        if (!empty($this->input->post('city_slug') && !empty($this->input->post('community_slug'))))
        {
            $heading = ucwords(str_replace('-',' ',$this->input->post('community_slug')));
        }else{
            $heading = 'Dubai';
        }



    		$heading = '<div class="breadcumb-style1">
                  <h1 class="title fz26" >Properties For Sale in '.$heading.' ('.$data.' Results)</h1>
                  <p class="fz16">Search the latest projects for sale in '.$heading.'</p>
                </div>';


		$data = $this->main_model->load_for_sale_data($this->input->post('city_slug'),$this->input->post('community_slug'),$this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=false);



		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$link = base_url($this->config->item('language_abbr').'/'.'property/for-sale/'.$row->url_slug);
				$price = '<b>'.currency_conversion($row->price).'</b>';

				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->property_name.'">
                    
                    </a>
                  </div>
                  <input type="hidden" id="property-name" name="property-name" value="'.$row->property_name.'">
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}

	public function for_sale_bedroom()
	{
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('1-bed-for-sale');
		$this->load->view('common_footer_page');
	}

	public function apartments_for_sale()
	{
		$this->import_data_sale_rent();
		$this->data['apartments_for_sale'] = $this->main_model->apartments_for_sale();

		//FEATURED APARTMENTS
		$this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();
	

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Apartments for Sale in Dubai | Buy Flat in Dubai - Salwa Properties (Apartmnet)";
        $this->data['site_description'] = count($this->data['apartments_for_sale'])." Apartments for Sale in Dubai. search more info on listings of apartments with ✓ price, ✓ plans, ✓ unit sizes, ✓ photos & ✓ floor plans. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Apartments for Sale in Dubai, Top apartments sale, buy apartments in dubai, apartments price in dubai, apartments floor plan, ready apartments for sale in dubai, pay 1 percent apartments for sale in dubai, apartments on intsallment, cheap apartments dubai";
        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/contact-popup-form');
		$this->load->view('apartments-for-sale');
		$this->load->view('common_footer_page');
	}

	public function load_apartments_for_sale_data()
	{
		$output = '';
		$data = $this->main_model->load_apartments_for_sale_data($this->input->post('limit'), $this->input->post('start'), $this->input->post('sort_by'));

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$link = base_url($this->config->item('language_abbr').'/'.'property/for-sale/'.$row->url_slug);

				$price = '<b>'. currency_conversion($row->price).'</b>';
				$output .= '<div class="listing-style1 listing-type">
										
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->property_name.'">
                    
                    </a>
                  </div>
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function house_villas_for_sale()
	{
		$this->import_data_sale_rent();

		$this->data['villas_for_sale'] = $this->main_model->villas_for_sale();
		$this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Villas for Sale in Dubai | Buy Flat in Dubai - Salwa Properties (Villa)";
        $this->data['site_description'] = count($this->data['villas_for_sale'])." Villas for Sale in Dubai. search more info on listings of villas with ✓ price, ✓ plans, ✓ unit sizes, ✓ photos & ✓ floor plans. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Villas for Sale in Dubai, Top villas sale, buy villas in dubai, villas price in dubai, villas floor plan, ready villas for sale in dubai, pay 1 percent villas for sale in dubai, villas on intsallment, cheap villas dubai";
        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/contact-popup-form');
		$this->load->view('house-villas-for-sale');
		$this->load->view('common_footer_page');
	}

	public function load_villas_for_sale_data()
	{
		$output = '';
		$data = $this->main_model->load_villas_for_sale_data($this->input->post('limit'), $this->input->post('start'), $this->input->post('sort_by'));

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$link = base_url($this->config->item('language_abbr').'/'.'property/for-sale/'.$row->url_slug);
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->property_name.'">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img class="lazy" style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function load_offplan_data()
	{
		$output = '';
		$count = $this->main_model->load_offplan_data($this->input->post('property_slug'),$this->input->post('city_slug'),$this->input->post('community_slug'), $this->input->post('limit'), $this->input->post('start'), $count=true);

		
		$heading = '<div class="breadcumb-style1 text-center">
              <h1 class="title fz26" >Off Plan Projects & New Homes For Sale In '.$this->input->post('community_name').' ('.$count.' projects)</h1>
              <p class="fz16">Search the latest off plan projects for sale, pre-sale launches and newly constructed homes</p>
            </div>';
     $data = $this->main_model->load_offplan_data($this->input->post('property_slug'),$this->input->post('city_slug'),$this->input->post('community_slug'), $this->input->post('limit'), $this->input->post('start'), $count=false);
    
    
    
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$images_data = $this->main_model->offplan_images($row->property_id);
				if (empty($images_data[0]->path))
				{
					$image0 = base_url('assets/images/no_image.png');
				}else{
					$image0 = $this->data['url'].$images_data[0]->path;
				}

				if (empty($images_data[1]->path))
				{
					$image1 = base_url('assets/images/no_image.png');
				}else{
					$image1 = $this->data['url'].$images_data[1]->path;
				}

				if (empty($images_data[2]->path))
				{
					$image2 = base_url('assets/images/no_image.png');
				}else{
					$image2 = $this->data['url'].$images_data[2]->path;
				}

				if (empty($images_data[3]->path))
				{
					$image3 = base_url('assets/images/no_image.png');
				}else{
					$image3 = $this->data['url'].$images_data[3]->path;
				}

				if (empty($images_data[4]->path))
				{
					$image4 = base_url('assets/images/no_image.png');
				}else{
					$image4 = $this->data['url'].$images_data[4]->path;
				}
			
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}
				$amenities = $this->main_model->amenities_info($row->property_id);
				$amenity=[];
				foreach ($amenities as $value)
				{
					if($row->property_id == $value->property_id)
					{
						$amenity []= $value->amenity_name;
					}	
				}
				if (!empty($row->mark_coming_soon_ready_to_move))
        {
        	$project_status = '<h5 class="project-status">'.$row->mark_coming_soon_ready_to_move.'</h6>';
        }else{
        	$project_status = '';
        }

        $link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$price = '<b>'.currency_conversion($row->starting_price).'</b>';
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="lazy" src="'.$image0.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image1.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$image2.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image3.'" alt="'.$row->property_name.'" >  
                    </div>
                   
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->property_name.' '.$row->community_name.' feature a luxurious offplan '.$row->type_name.' of '.$beds.' beds, where access to top-notch amenities like '.implode(', ',$amenity).'</p>
                    '.$project_status.'
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.$beds.'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}

	public function commercial_for_sale()
	{
		
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('commercial-for-sale');
		$this->load->view('common_footer_page');
	}

	

	public function for_rent($city_slug=null, $community_slug=null)
	{
		$this->import_data_sale_rent();
		
		if (!empty($city_slug))
		{
			$this->data['city_slug'] = $city_slug;
		}
		if (!empty($community_slug))
		{
			$this->data['community_slug'] = $community_slug;	
		}
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Property for Rent in Dubai - Salwa Properties";
        $this->data['site_description'] = "Properties for rent in Dubai through Salwa properties Real Estate Agents. Large selection of properties to rent.";
        $this->data['site_keywords'] = "Property for Rent in Dubai, Cheap property for rent in dubai";
        $this->data['popular_communities'] = $this->main_model->homepage_communities();

        $this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();
        $this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();
        $this->data['off_plan_townhouses'] = $this->main_model->loadOffPlanTownhouses();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/rent-contact-popup-form');
		$this->load->view('for-rent');
		$this->load->view('common_footer_page');
	}

	public function load_for_rent_data()
	{
		$output = '';
		$data = $this->main_model->load_for_rent_data($this->input->post('city_slug'),$this->input->post('community_slug'),$this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=true);

        if (!empty($this->input->post('city_slug') && !empty($this->input->post('community_slug'))))
        {  
            $heading = ucwords(str_replace('-',' ',$this->input->post('community_slug')));
        }else{
            $heading = 'Dubai';
        }
	
		$heading = '<div class="breadcumb-style1">
              <h1 class="title fz26" >Properties For Rent in '.$heading.' ('.$data.' Results)</h1>
              <p class="fz16">Search the latest projects for sale in '.$heading.'</p>
            </div>';

		$data = $this->main_model->load_for_rent_data($this->input->post('city_slug'),$this->input->post('community_slug'),$this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=false);

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->url_slug);
				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->title.'">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->title.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#rent-contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';

			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}

	public function apartments_for_rent()
	{
		$this->import_data_sale_rent();
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		//FEATURED APARTMENTS
		$this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();

		$this->data['site_title'] = "Apartments for Rent in Dubai | Flats For Rent in Dubai, UAE";
        $this->data['site_description'] = "Find Luxury Apartments for Rent in Dubai 2024, UAE. Salwa Properties is a trusted real estate in Dubai for luxury apartments and cheap apartments for rent in Dubai near me. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Keywords:Apartments for Rent in Dubai, Flats For Rent in Dubai, cheap apartments for rent in Dubai, luxury apartments for rent in Dubai, Rent Apartments near me";

        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/rent-contact-popup-form');
		$this->load->view('apartments-for-rent');
		$this->load->view('common_footer_page');
	}

	public function load_apartment_rent_data()
	{
		$output = '';
		$data = $this->main_model->load_apartment_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=true);

		$heading = '<div class="breadcumb-style1">
              <h1 class="title fz26" >Apartments For Rent in Dubai' . ' ('.$data.' Results)</h1>
              <p class="fz16">Search the latest off plan projects for sale, pre-sale launches and newly constructed homes</p>
            </div>';

		$data = $this->main_model->load_apartment_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=false);

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->url_slug);
				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->title.'">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->title.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#rent-contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}

	

	public function villa_for_rent()
	{
		$this->import_data_sale_rent();
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();

		$this->data['site_title'] = "Villas for Rent in Dubai, UAE | Rent a Villa in Dubai";
        $this->data['site_description'] = "Find Luxury & cheap Villas for Rent in Dubai, UAE. Salwa properties is a trusted real estate in Dubai for luxury and cheap villas & houses for rent in Dubai. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Villas for Rent dubai, Rent a Villa in Dubai, Rent a Villa in Dubai price, Rent a Villa in Dubai near me, best Rent a Villa in Dubai, cheap villas for rent in Dubai.rent villas near me";

        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/rent-contact-popup-form');
		$this->load->view('villa-for-rent');
		$this->load->view('common_footer_page');
	}

	public function load_villa_rent_data()
	{
		$output = '';
		$data = $this->main_model->load_villa_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=true);

		$heading = '<div class="breadcumb-style1">
              <h1 class="title fz26" >Villas For Rent in Dubai'. ' ('.$data.' Results)</h1>
              <p class="fz16">Search the latest off plan projects for sale, pre-sale launches and newly constructed homes</p>
            </div>';

		$data = $this->main_model->load_villa_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=false);

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->url_slug);
				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->title.'">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->title.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#rent-contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}

	

	public function townhouse_for_rent()
	{
		$this->import_data_sale_rent();
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
		$this->data['off_plan_townhouses'] = $this->main_model->loadOffPlanTownhouses();

		$this->data['site_title'] = "Townhouses for Rent in Dubai, UAE | Rent a Townhouses in Dubai , UAE";
        $this->data['site_description'] = "Find Luxury Townhouses for Rent in Dubai 2024, UAE. Salwa Properties is a trusted real estate in Dubai for luxury Townhouses and cheap Townhouses for rent in Dubai near me. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Keywords:Townhouses for Rent in Dubai, cheap Townhouses for rent in Dubai, luxury Townhouses for rent in Dubai, Rent Townhouses near me";

        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/rent-contact-popup-form');
		$this->load->view('townhouse-for-rent');
		$this->load->view('common_footer_page');
	}

	public function load_townhouse_rent_data()
	{
		$output = '';
		$data = $this->main_model->load_townhouse_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=true);

		$heading = '<div class="breadcumb-style1">
              <h1 class="title fz26" >Townhouses For Rent in Dubai '.$this->input->post("city_id") . ' ('.$data.' Results)</h1>
              <p class="fz16">Search the latest off plan projects for sale, pre-sale launches and newly constructed homes</p>
            </div>';

		$data = $this->main_model->load_townhouse_rent_data($this->input->post('limit'), $this->input->post('start'),$this->input->post('sort_by'), $count=false);

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->url_slug);
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$output .= '<div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->title.'">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title mt10" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 22px!important;">'.$row->title.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.'</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$row->size.' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3>'.$price.'</span>'.'</h3>
                      </div>
                      <div class="icons d-flex align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.$link.'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#rent-contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output)));
		}else{
			echo json_encode(array('output'=>'false'));
		}
	}


	public function new_developments($city_slug=null, $community_slug=null, $property_slug=null)
	{

		if (!empty($city_slug) && !empty($community_slug) && !empty($property_slug) )
		{	
			$this->data['city_slug'] = $city_slug;
			$this->data['community_slug'] = $community_slug;
			$this->data['property_slug'] = $property_slug;
		}

		if (!empty($city_slug) && empty($community_slug) && empty($property_slug))
		{	
			$this->data['city_slug'] = $city_slug;
		}
		if (!empty($city_slug) && !empty($community_slug) && empty($property_slug))
		{	
			$this->data['city_slug'] = $city_slug;
			$this->data['community_slug'] = $community_slug;
		}

		// if (!empty($this->main_model->city_info($city_slug)))
		// {
		// 	$this->data['city_id'] = $this->main_model->city_info($city_slug)->city_id;	
		// }
		// if (!empty($this->main_model->community_info($community_slug)))
		// {
		// 	$this->data['community_id'] = $this->main_model->community_info($community_slug)->community_id;
		// 	$this->data['community_name'] = $this->main_model->community_info($community_slug)->community_name;	
		// }
		
		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments');
		$this->load->view('common_footer_page');
	}

	public function properties_for_sale($city_slug=null, $community_slug=null)
	{
		$this->import_data_sale_rent();
		if ($city_slug  != null)
		{
			$this->data['city_slug'] = $this->main_model->sale_data($city_slug, $community_slug)[0]->city_slug;	
		}
		if ($community_slug != null)
		{
			
			$this->data['community_slug'] = $this->main_model->sale_data($city_slug, $community_slug)[0]->community_slug;
		}
		// $this->data['for_sale_properties'] = $this->main_model->all_properties_for_sale();

		$this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();
        $this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();
        $this->data['off_plan_townhouses'] = $this->main_model->loadOffPlanTownhouses();

        $this->data['site_title'] = "Properties for Sale in Dubai | Buy Property in Dubai - Salwa Properties";
        $this->data['site_description'] = "Buy Properties for Sale in Dubai. Find from a wide variety of Flats, apartments, villas, Townhouses & commercial Building properties with ✓ prices, ✓ Floor plan, Master Plan, ✓ Property photos, ✓ at SalwaProperties.com";
        $this->data['site_keywords'] = "Properties for Sale, Properties for Sale in Dubai, Buy Property in Dubai, Properties floor plan, buy property Real Estate Agency, Real Estate Agency near me, Real Estate Agency office";

        $this->data['popular_communities'] = $this->main_model->homepage_communities();

		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
		$this->load->view('common_header_page',$this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('forms/contact-popup-form');
		$this->load->view('for-sale');
		$this->load->view('common_footer_page');
	}

	public function new_developments_in_dubai()
	{
		$this->data['community'] = $this->main_model->homepage_communities();

		$this->data['off_plan_apartments'] = $this->main_model->loadOffPlanApartments();
        $this->data['off_plan_villas'] = $this->main_model->loadOffPlanVillas();
        $this->data['off_plan_townhouses'] = $this->main_model->loadOffPlanTownhouses();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Best Off Plan Projects in Dubai for Investment";
        $this->data['site_description'] = "Find your dream property from new off-plan projects development in Dubai. Save money, enjoy 1% payment Monthly plans, and earn high Roi. Book your free viewing and consultation today.";
        $this->data['site_keywords'] = "Off Plan, Off Plan Dubai, Off Plan projects, Off Plan properties, new Off Plan property, latest Off Plan projects in dubai, dubai Off Plan property, buy Off Plan property";

		$this->load->view('homepage_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-in-dubai');
		$this->load->view('footer_page');
	}

	public function new_developments_dubai_marina()
	{
		$this->data['dubai_marina_properties'] = $this->main_model->dubai_marina_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-dubai-marina');
		$this->load->view('common_footer_page');
	}

	public function load_dubai_marina_data()
	{
		$output = '';
		$data = $this->main_model->load_dubai_marina_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="lazy" src="'.$this->data['url'].$images_data[0]->path.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$this->data['url'].$images_data[1]->path.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$this->data['url'].$images_data[2]->path.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$this->data['url'].$images_data[3]->path.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_downtown_dubai()
	{
		$this->data['downtown_dubai_properties'] = $this->main_model->downtown_dubai_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-downtown-dubai');
		$this->load->view('common_footer_page');
	}

	public function load_downtown_dubai_data()
	{
		$output = '';
		$data = $this->main_model->load_downtown_dubai_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="'.$row->property_name.'" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="'.$row->property_name.'" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="'.$row->property_name.'" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_business_bay()
	{
		$this->data['business_bay_properties'] = $this->main_model->business_bay_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-business-bay');
		$this->load->view('common_footer_page');
	}

	public function load_business_bay_data()
	{
		$output = '';
		$data = $this->main_model->load_business_bay_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="'.$row->property_name.'" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="'.$row->property_name.'" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="'.$row->property_name.'" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_palm_jumeirah()
	{
		$this->data['palm_jumeirah_properties'] = $this->main_model->palm_jumeirah_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-palm-jumeirah');
		$this->load->view('common_footer_page');
	}

	public function load_palm_jumeirah_data()
	{
		$output = '';
		$data = $this->main_model->load_palm_jumeirah_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_creek_harbour()
	{
		$this->data['creek_harbour_properties'] = $this->main_model->creek_harbour_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-creek-harbour');
		$this->load->view('common_footer_page');
	}

	public function load_creek_harbour_data()
	{
		$output = '';
		$data = $this->main_model->load_creek_harbour_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_jumeirah_village_circle()
	{
		$this->data['jumeirah_village_circle_properties'] = $this->main_model->jumeirah_village_circle_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-jumeirah-village-circle');
		$this->load->view('common_footer_page');
	}

	public function load_jumeirah_village_circle_data()
	{
		$output = '';
		$data = $this->main_model->load_jumeirah_village_circle_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_jumeirah()
	{
		$this->data['jumeirah_properties'] = $this->main_model->jumeirah_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-jumeirah');
		$this->load->view('common_footer_page');
	}

	public function load_jumeirah_data()
	{
		$output = '';
		$data = $this->main_model->load_jumeirah_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_palm_jebel_ali()
	{
		$this->data['palm_jebel_ali_properties'] = $this->main_model->palm_jebel_ali_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-palm-jebel-ali');
		$this->load->view('common_footer_page');
	}

	public function load_palm_jebel_ali_data()
	{
		$output = '';
		$data = $this->main_model->load_palm_jebel_ali_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);

				$price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="">
                    <img class="w-100" src="'.$this->data['url'].$row->cover_image.'" alt="">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="" src="'.$this->data['url'].$images_data[0]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[1]->path.'" alt="" >
                      <img class="" src="'.$this->data['url'].$images_data[2]->path.'" alt="" >  
                      <img class="" src="'.$this->data['url'].$images_data[3]->path.'" alt="" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->short_content.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.implode(', ',$bed).'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$price.'</div>
                          <div class="label">Units Start From</div>
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_apartments()
	{
		$this->data['offplan_apartments_properties'] = $this->main_model->offplan_apartments_properties();
		

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Off Plan Apartments For Sale in Dubai, UAE - Salwa Properties";
        $this->data['site_description'] = "Find largest property of new off-plan apartments for sale in Dubai. Explore & buy Ready offplan apartment in the UAE: projects info, floor plans, prices, and payment plan, handover at salwaproperties.com";
        $this->data['site_keywords'] = "Off Plan Apartment, Off Plan Apartments For Sale in Dubai, Off Plan Flats For Sale in Dubai, new offplan offplan Apartments dubai, best Apartments offplan";

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-apartments');
		$this->load->view('common_footer_page');
	}

	public function load_offplan_apartments_data()
	{
		$output = '';
		$data = $this->main_model->load_offplan_apartments_data($this->input->post('limit'), $this->input->post('start'));

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

              
				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}

				$amenities = $this->main_model->amenities_info($row->property_id);
				$amenity=[];
				foreach ($amenities as $value)
				{
					if($row->property_id == $value->property_id)
					{
						$amenity []= $value->amenity_name;
					}	
				}

				$images_data = $this->main_model->offplan_images($row->property_id);

				if (empty($images_data[0]->path))
        {
          $image0 = base_url('assets/images/no_image.png');
        }else{
          $image0 = $this->data['url'].$images_data[0]->path;
        }
        if (empty($images_data[1]->path))
        {
          $image1 = base_url('assets/images/no_image.png');
        }else{
          $image1 = $this->data['url'].$images_data[1]->path;
        }

        if (empty($images_data[2]->path))
        {
          $image2 = base_url('assets/images/no_image.png');
        }else{
          $image2 = $this->data['url'].$images_data[2]->path;
        }
        if (empty($images_data[3]->path))
        {
          $image3 = base_url('assets/images/no_image.png');
        }else{
          $image3 = $this->data['url'].$images_data[3]->path;
        }

        if ($row->starting_price == 0)
        {
        	$price = '<div class="value">Ask For Price</div>';	
        }else{
        	$price = '<div class="value">'.currency_conversion($row->starting_price).'</div><div class="label">Units Start From</div>';
        }
        
        if (!empty($row->mark_coming_soon_ready_to_move))
        {
        	$project_status = '<h5 class="project-status">'.$row->mark_coming_soon_ready_to_move.'</h6>';
        }else{
        	$project_status = '';
        }
				// $new_price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.$price.'</span>':$this->session->userdata('currency') .' '. '<span>'.currency_conversion($price);
				$link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">

                      <img class="lazy" src="'.$image0.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image1.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$image2.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image3.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->property_name.' '.$row->community_name.' feature a luxurious offplan '.$row->type_name.' of '.$beds.' beds, where access to top-notch amenities like '.implode(', ',$amenity).'.</p>
                    '.$project_status.'
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.$beds.'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          '.$price.'
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_villa()
	{
		$this->data['offplan_villa_properties'] = $this->main_model->offplan_villa_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Off Plan Villas For Sale in Dubai, UAE - Salwa Properties";
        $this->data['site_description'] = "Find largest property of new off-plan Villas for sale in Dubai. Explore & buy Ready offplan Villas and houses in the UAE: projects info, floor plans, prices, and payment plan, handover at salwaproperties.com";
        $this->data['site_keywords'] = "Off Plan Projects, Houses For Sale In Dubai, off-plan Villas
";

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-villa-house');
		$this->load->view('common_footer_page');
	}

	public function load_offplan_villa_data()
	{
		$output = '';
		$data = $this->main_model->load_offplan_villa_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}

				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}

				$amenities = $this->main_model->amenities_info($row->property_id);
				$amenity=[];
				foreach ($amenities as $value)
				{
					if($row->property_id == $value->property_id)
					{
						$amenity []= $value->amenity_name;
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);
				if (empty($images_data[0]->path))
        {
          $image0 = base_url('assets/images/no_image.png');
        }else{
          $image0 = $this->data['url'].$images_data[0]->path;
        }
        if (empty($images_data[1]->path))
        {
          $image1 = base_url('assets/images/no_image.png');
        }else{
          $image1 = $this->data['url'].$images_data[1]->path;
        }

        if (empty($images_data[2]->path))
        {
          $image2 = base_url('assets/images/no_image.png');
        }else{
          $image2 = $this->data['url'].$images_data[2]->path;
        }
        if (empty($images_data[3]->path))
        {
          $image3 = base_url('assets/images/no_image.png');
        }else{
          $image3 = $this->data['url'].$images_data[3]->path;
        }

        if ($row->starting_price == 0)
        {
        	$price = '<div class="value">Ask For Price</div>';	
        }else{
        	$price = '<div class="value">'.currency_conversion($row->starting_price).'</div><div class="label">Units Start From</div>';
        }

         if (!empty($row->mark_coming_soon_ready_to_move))
        {
        	$project_status = '<h5 class="project-status">'.$row->mark_coming_soon_ready_to_move.'</h6>';
        }else{
        	$project_status = '';
        }

				// $price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="lazy" src="'.$image0.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image1.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$image2.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image3.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->property_name.' '.$row->community_name.' feature a luxurious offplan '.$row->type_name.' of '.$beds.' beds, where access to top-notch amenities like '.implode(', ',$amenity).'</p>
                    '.$project_status.'
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.$beds.'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          '.$price.'
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_townhouses()
	{
		$this->data['offplan_townhouses_properties'] = $this->main_model->offplan_townhouses_properties();

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->data['site_title'] = "Off Plan Townhouses For Sale in Dubai, UAE - Salwa Properties";
        $this->data['site_description'] = "Find largest property of new off-plan Townhouses for sale in Dubai. Explore & buy Ready offplan Townhouses in the UAE: projects info, floor plans, prices, and payment plan, handover at salwaproperties.com";
        $this->data['site_keywords'] = "Off Plan Townhouses, Off Plan Townhouses Dubai, Off Plan Townhouses for sale in dubai, new Off Plan Townhouses";

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-townhouses');
		$this->load->view('common_footer_page');
	}

	public function load_offplan_townhouses_data()
	{
		$output = '';
		$data = $this->main_model->load_offplan_townhouses_data($this->input->post('limit'), $this->input->post('start'));
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}

				$amenities = $this->main_model->amenities_info($row->property_id);
				$amenity=[];
				foreach ($amenities as $value)
				{
					if($row->property_id == $value->property_id)
					{
						$amenity []= $value->amenity_name;
					}	
				}
				

				$images_data = $this->main_model->offplan_images($row->property_id);
				if (empty($images_data[0]->path))
        {
          $image0 = base_url('assets/images/no_image.png');
        }else{
          $image0 = $this->data['url'].$images_data[0]->path;
        }
        if (empty($images_data[1]->path))
        {
          $image1 = base_url('assets/images/no_image.png');
        }else{
          $image1 = $this->data['url'].$images_data[1]->path;
        }

        if (empty($images_data[2]->path))
        {
          $image2 = base_url('assets/images/no_image.png');
        }else{
          $image2 = $this->data['url'].$images_data[2]->path;
        }
        if (empty($images_data[3]->path))
        {
          $image3 = base_url('assets/images/no_image.png');
        }else{
          $image3 = $this->data['url'].$images_data[3]->path;
        }

        if ($row->starting_price == 0)
        {
        	$price = '<div class="value">Ask For Price</div>';	
        }else{
        	$price = '<div class="value">'.currency_conversion($row->starting_price).'</div><div class="label">Units Start From</div>';
        }

        if (!empty($row->mark_coming_soon_ready_to_move))
        {
        	$project_status = '<h5 class="project-status">'.$row->mark_coming_soon_ready_to_move.'</h6>';
        }else{
        	$project_status = '';
        }

				// $price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">
                      <img class="lazy" src="'.$image0.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image1.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$image2.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image3.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->property_name.' '.$row->community_name.' feature a luxurious offplan '.$row->type_name.' of '.$beds.' beds, where access to top-notch amenities like '.implode(', ',$amenity).'</p>
                    '.$project_status.'
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.$beds.'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          '.$price.'
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_developments_penthouses()
	{
		$this->data['offplan_penthouses_properties'] = $this->main_model->offplan_penthouses_properties();
		

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';
		$this->data['bootstrap'] = 'assets/css/bootstrap.min.css';

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		$this->load->view('new-developments-penthouses');
		$this->load->view('common_footer_page');
	}

	public function load_offplan_penthouses_data()
	{
		$output = '';
		$data = $this->main_model->load_offplan_penthouses_data($this->input->post('limit'), $this->input->post('start'));

	

		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}

				$amenities = $this->main_model->amenities_info($row->property_id);
				$amenity=[];
				foreach ($amenities as $value)
				{
					if($row->property_id == $value->property_id)
					{
						$amenity []= $value->amenity_name;
					}	
				}

				$images_data = $this->main_model->offplan_images($row->property_id);

				if (empty($images_data[0]->path))
        {
          $image0 = base_url('assets/images/no_image.png');
        }else{
          $image0 = $this->data['url'].$images_data[0]->path;
        }
        if (empty($images_data[1]->path))
        {
          $image1 = base_url('assets/images/no_image.png');
        }else{
          $image1 = $this->data['url'].$images_data[1]->path;
        }

        if (empty($images_data[2]->path))
        {
          $image2 = base_url('assets/images/no_image.png');
        }else{
          $image2 = $this->data['url'].$images_data[2]->path;
        }
        if (empty($images_data[3]->path))
        {
          $image3 = base_url('assets/images/no_image.png');
        }else{
          $image3 = $this->data['url'].$images_data[3]->path;
        }

        if ($row->starting_price == 0)
        {
        	$price = '<div class="value">Ask For Price</div>';	
        }else{
        	$price = '<div class="value">'.currency_conversion($row->starting_price).'</div><div class="label">Units Start From</div>';
        }

        if (!empty($row->mark_coming_soon_ready_to_move))
        {
        	$project_status = '<h5 class="project-status">'.$row->mark_coming_soon_ready_to_move.'</h6>';
        }else{
        	$project_status = '';
        }

				// $price = (empty($this->session->userdata('currency')))?'AED '.'<span>'.number_format($row->starting_price).'</span>':$this->session->userdata('currency') .' '. '<span>'.number_format(currency_conversion($row->starting_price));
				$link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$output .= '<div class="offplan listing-style1 listing-type">
                  <div class="list-thumb for-sale" >
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    <div class=" sub-images d-flex justify-content-between mt-1">

                      <img class="lazy" src="'.$image0.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image1.'" alt="'.$row->property_name.'" >
                      <img class="lazy" src="'.$image2.'" alt="'.$row->property_name.'" >  
                      <img class="lazy" src="'.$image3.'" alt="'.$row->property_name.'" >  
                    </div>
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text" style="font-size: 14px;font-weight: 500;color: #181A20;margin-top:10px!important;"><img style="width:12px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'.$row->community_name.'</h6>
                    <p class="para">'.$row->property_name.' '.$row->community_name.' feature a luxurious offplan '.$row->type_name.' of '.$beds.' beds, where access to top-notch amenities like '.implode(', ',$amenity).'</p>
                    '.$project_status.'
                    <div class="list-meta d-flex align-items-center">
                      <h6>Completion Year '.$row->completion_date.'</h6>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between">
                      <!-- <div class="property-price"> -->
                        <div class="mt-2">
                          <div class="value">'.$beds.'</div>
                          <div class="label">Beds</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          <div class="value">'.$row->min_size .' - '.$row->max_size.'</div>
                          <div class="label">Sq.Ft</div>
                        </div>
                        <div class="border-right mx-2"></div>

                        <div class="mt-2">
                          '.$price.'
                        </div>
                        <!-- <h3>AED <span>3.60M</span></h3> -->
                      <!-- </div> -->
                      
                      <div class="more-detail">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">VIEW PROJECT</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div>';
			}
			echo $output;
		}
	}

	public function new_project_detail_page($slug)
	{

		$this->data['project_info'] = $this->main_model->new_project_detail_info($slug);
		$this->data['bedroom'] = $this->main_model->bedroom_info($this->data['project_info']->property_id);
		$this->data['project_images'] = $this->main_model->project_images($this->data['project_info']->property_id);
		

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';

		$this->data['app'] = 'assets/css/app.min.css';
		$this->data['app_js'] = 'assets/js/app.min.js';
		$this->data['rocket_js'] = 'assets/js/rocket-loader.min.js';
		$this->data['fancybox_js'] = 'assets/js/jquery.fancybox.min.js';
		$this->data['fancybox_css'] = 'assets/css/jquery.fancybox.min.css';

		$bedroom = $this->main_model->bedroom_info($this->data['project_info']->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
				}

				if (count($bed) > 1)
				{
					$lastValue = array_pop($bed); // Remove the last element
					$bed = array_map('trim', $bed); // Remove spaces from each value
          $lastValue = trim($lastValue); // Remove spaces from the last value
          $beds = trim(implode(', ',$bed). ' & '.$lastValue);
				}else{
					$beds = implode(', ',$bed);
				}

		$this->data['site_title'] = $this->data['project_info']->property_name." at ".$this->data['project_info']->community_name." by ".$this->data['project_info']->developer_name." - Salwa Properties";

    $this->data['site_description'] = $this->data['project_info']->property_name." at ".$this->data['project_info']->community_name." by ".$this->data['project_info']->developer_name." offers a range of luxurious options, including ".$beds." ".$this->data['project_info']->type_name.". Check out ".$this->data['project_info']->property_name."  with payment plan, ".$this->data['project_info']->property_name." floor plan, amenities, ".$this->data['project_info']->property_name." location & map and prices.";

    $this->data['site_keywords'] = $this->data['project_info']->property_name.", ".$this->data['project_info']->property_name." for sale in Dubai, ".$this->data['project_info']->property_name." prices, ".$this->data['project_info']->property_name." projects, ".$this->data['project_info']->property_name." ".$this->data['project_info']->community_name.", ".$this->data['project_info']->property_name." ".$this->data['project_info']->developer_name.", ".$this->data['project_info']->property_name." location, offplan ".$this->data['project_info']->property_name.", ".$this->data['project_info']->property_name." Master plan, new ".$this->data['project_info']->community_name." proeject, new offplan ".$this->data['project_info']->community_name;

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
		// $this->load->view('forms/contact-popup-form');
		$this->load->view('new-project-detail-page');
		$this->load->view('common_footer_page');
	}

	public function new_project_detail_page_latest_project($type_id)
	{
		  // echo $type_id;
      //   exit();
		$output = '';
		$card_data = '';
		$data = $this->data['latest_project'] = $this->main_model->latest_project_detail_info($type_id, $count=true);
		// $output .= '<h2 class="font-detail-lg text-left pt30">
    //   '.$data.' 
    // </h2>';

    $heading = '<h2 class="font-detail-lg text-left pt30">Popular Similar Projects</h2>';
		$data = $this->data['latest_project'] = $this->main_model->latest_project_detail_info($type_id, $count=false);
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
				$bedroom = $this->main_model->bedroom_info($row->property_id);
				$bed=[];
				foreach ($bedroom as $bedrooms)
				{
					if($row->property_id == $bedrooms->property_id)
					{
						$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
					}	
				}
				

				$link = base_url($this->config->item('language_abbr').'/'.'project/'.$row->slug);
				$price = '<b>'.currency_conversion($row->starting_price).'</b>';
				$output .= '<div class="properties-list"><div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$this->data['url'].$row->cover_image.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <!-- <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">4BR + Maid | Corner Unit | Type A | West Phase 2</a></h2> -->

                    <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text mt-2" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'. $row->community_name.'</h6>
                    <p class="para">'.$row->meta_desc.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.implode(', ',$bed).' Bedroom</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.number_format($row->min_size).' - '.number_format($row->max_size).' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3><span>'.$price.'</span></h3>
                      </div>
                      <div class="icons align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+this+property.+Kindly+send+me+more+information.+Thank+you%21+'.base_url('projects/'.str_replace(' ','-',($row->property_name))).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div></div>
                ';
           $card_data .= '<a href="'.$link.'" target="_blank" class="tns-item tns-slide-cloned" aria-hidden="true" tabindex="-1">
          <div class="d-flex justify-content-between">
            <div class="card" style="width: 300px; height: 327px;">
              <img src="'.$this->data['url'].$row->cover_image.'" class="card-img-top lazy" alt="'.$row->property_name.'" height="219" style="object-fit: cover; cursor: pointer;">
              <div style="margin: 11px 15px;">
                <p class="d-inline">'.$row->min_size.' - '.$row->max_size.' Sq.Ft
                  apartment
                </p>
                <div class="d-inline float-right" style="line-height: 23px;">
                                      <span class="pr-2">
                      <img class="lazy" style="vertical-align: baseline" src="'.base_url('assets/images/icon/bed.svg').'" alt="icon" height="15">
                      '.implode(', ',$bed).'
                    </span>
                    
                                  </div>
                <div class="prop-spec-fonts--sm prop-spec-fonts--sm--b property-text-overflow pt-2" style="color: #63469E; line-height: 23px;">
                  '.$row->property_name.'
                </div>
                
                <div class="prop-spec-fonts--sm prop-spec-fonts--sm--b pt-2" style="line-height: 23px;">
                  <span style="color: #FE6C65; font-weight: 700;">
                                          '.$price.'
                                                            </span>
                </div>
                
              </div>
                          </div>
          </div>
        </a>'; 

			}
			echo json_encode(array_merge(array('heading'=>$heading),array('output'=>$output),array('card_data'=>$card_data)));
		}
	}


	public function rent_property_detail_page($slug)
	{

		$this->data['property_info'] = $this->main_model->rent_property_detail_info($slug);

		// $this->data['bedroom'] = $this->main_model->bedroom_info($this->data['project_info']->property_id);
		$this->data['property_images'] = $this->main_model->rent_property_images($this->data['property_info']->reference_number);


		

		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';

		$this->data['app'] = 'assets/css/app.min.css';
		$this->data['app_js'] = 'assets/js/app.min.js';
		$this->data['rocket_js'] = 'assets/js/rocket-loader.min.js';
		$this->data['fancybox_js'] = 'assets/js/jquery.fancybox.min.js';
		$this->data['fancybox_css'] = 'assets/css/jquery.fancybox.min.css';

		$this->data['site_title'] = $this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for Rent in".$this->data['property_info']->property_name.", ".$this->data['property_info']->community_name.", Dubai (RR:".$this->data['property_info']->reference_number.")";

		$this->data['site_description'] =  "Find ideal home among ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for rent in".$this->data['property_info']->property_name.", ".$this->data['property_info']->community_name.", Dubai and make a great deal to earn high profit and live luxuriously. Check out ".$this->data['property_info']->bedroom."  ".$this->data['property_info']->property_type." Floor Plan, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." ".$this->data['property_info']->property_name."Prices, amenities,".$this->data['property_info']->property_name." location & map. Book your free viewing and consultation today";
    
     $this->data['site_keywords'] = $this->data['property_info']->bedroom." ". $this->data['property_info']->property_type." for rent, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." property finder dubai, ".$this->data['property_info']->bedroom." ". $this->data['property_info']->property_type." for rent in dubai, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for rent in ".$this->data['property_info']->community_name.", ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." floor plan, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." Master plan";

		$this->load->view('common_header_page', $this->data);
		// $this->load->view('forms/detail-popup-form');
		$this->load->view('right-hidden-menu');
		$this->load->view('rent-property-detail-page');
		$this->load->view('common_footer_page');
	}

	public function rent_property_detail_page_latest_property()
	{
		$output = '';
		$data = $this->data['latest_property'] = $this->main_model->latest_property_detail_info($count=true);
		// $output .= '<h2 class="font-detail-lg text-left pt30">
    //   '.$data.' 
    // </h2>';

    $output .= '<h2 class="font-detail-lg text-left pt30">Popular Similar Properties</h2>';
		$data = $this->data['latest_property'] = $this->main_model->latest_property_detail_info($count=false);
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
		
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->community_slug.'/'.$row->page_slug);
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$output .= '<div class="properties-list"><div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->title.'" loading="lazy">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <!-- <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">4BR + Maid | Corner Unit | Type A | West Phase 2</a></h2> -->

                    <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->title.'</a></h2>
                    
                    <h6 class="list-text mt-2" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'. $row->community_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.' Bedroom</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.number_format($row->size).' - '.number_format($row->size).' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3><span>'.$price.'</span></h3>
                      </div>
                      <div class="icons align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+this+property.+Kindly+send+me+more+information.+Thank+you%21+'.base_url('projects/'.str_replace(' ','-',($row->property_name))).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div></div>';
			}
			echo $output;
		}
	}

	public function sale_property_detail_page($slug)
	{
		$this->data['property_info'] = $this->main_model->sale_property_detail_info($slug);
		// $this->data['bedroom'] = $this->main_model->bedroom_info($this->data['project_info']->property_id);
		$this->data['property_images'] = $this->main_model->sale_property_images($this->data['property_info']->reference_number);


		$this->data['banner_heading'] = 'Find Your Dream Home';
		$this->data['banner_tag'] = 'in Dubai';

		// $this->data['app'] = 'assets/css/bootstrap.min.css';
        $this->data['app'] = 'assets/css/app.min.css';
		$this->data['app_js'] = 'assets/js/app.min.js';
		$this->data['rocket_js'] = 'assets/js/rocket-loader.min.js';
		$this->data['fancybox_js'] = 'assets/js/jquery.fancybox.min.js';
		$this->data['fancybox_css'] = 'assets/css/jquery.fancybox.min.css';

		$this->data['site_title'] = $this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for Sale in".$this->data['property_info']->property_name.", ".$this->data['property_info']->community_name.", Dubai (SR:".$this->data['property_info']->reference_number.")";

		$this->data['site_description'] =  "Find ideal home among ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for sale in".$this->data['property_info']->property_name.", ".$this->data['property_info']->community_name.", Dubai and make a great deal to earn high profit and live luxuriously. Check out ".$this->data['property_info']->bedroom."  ".$this->data['property_info']->property_type." Floor Plan, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." ".$this->data['property_info']->property_name."Prices, amenities,".$this->data['property_info']->property_name." location & map. Book your free viewing and consultation today";
    
        $this->data['site_keywords'] = $this->data['property_info']->bedroom." ". $this->data['property_info']->property_type." for sale, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." property finder dubai, ".$this->data['property_info']->bedroom." ". $this->data['property_info']->property_type." for sale in dubai, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." for sale in ".$this->data['property_info']->community_name.", ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." floor plan, ".$this->data['property_info']->bedroom." ".$this->data['property_info']->property_type." Master plan";

		$this->load->view('common_header_page', $this->data);
		$this->load->view('right-hidden-menu');
        $this->load->view('forms/contact-popup-form');
		$this->load->view('sale-property-detail-page');
		$this->load->view('common_footer_page');
	}

	public function sale_property_detail_page_latest_property()
	{
		$output = '';
		$data = $this->data['latest_property'] = $this->main_model->sale_latest_property_detail_info($count=true);
		// $output .= '<h2 class="font-detail-lg text-left pt30">
    //   '.$data.' 
    // </h2>';

    $output .= '<h2 class="font-detail-lg text-left pt30">Popular Similar Properties</h2>';
		$data = $this->data['latest_property'] = $this->main_model->sale_latest_property_detail_info($count=false);
		if ($data->num_rows() > 0 )
		{
			foreach ($data->result() as $row) {
		
				$link = base_url($this->config->item('language_abbr').'/'.'property/'.$row->url_slug);
				$price = '<b>'.currency_conversion($row->price).'</b>';
				$output .= '<div class="properties-list"><div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href="'.$link.'">
                    <img class="w-100 lazy" src="'.$row->photo.'" alt="'.$row->property_name.'" loading="lazy">
                    
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-0" style="padding:10px 20px 20px 20px!important;">
                    <!-- <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">4BR + Maid | Corner Unit | Type A | West Phase 2</a></h2> -->

                    <h2 class="list-title" title="4BR + Maid | Corner Unit | Type A | West Phase 2" style="text-decoration: none!important; "><a href="'.$link.'" style="font-weight: 500;font-size: 24px!important;">'.$row->property_name.'</a></h2>
                    
                    <h6 class="list-text mt-2" style="font-size: 16px;font-weight: 500;color: #181A20"><img style="width:15px;margin-right:10px;" src="'.base_url('assets/images/location1.svg').'" class="location-pin lazy" >'. $row->sub_community.', '.$row->community_name.', '.$row->city_name.'</h6>
                    <p class="para">'.$row->description.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>'.$row->bedroom.' Bedroom</a>

                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.number_format($row->size).' sqft</a>
                    </div>
                    <p class="list-text2"></p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="property-price d-flex align-items-center">
                        <h3><span>'.$price.'</span></h3>
                      </div>
                      <div class="icons align-items-center">
                        <a class="me-4" href="tel:+971 52 4474422"><img class="lazy" src="'.base_url('assets/images/Phone.svg').'" /></a>
                        <a class="me-4" href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$row->property_name.'.+Kindly+send+me+more+information.+Thank+you%21+'.base_url('proprety/for-sale/'.$row->url_slug).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img class="lazy" src="'.base_url('assets/images/Whatsapp.svg').'"></a>
                        <a onclick="popup(\''.$row->property_name.'\')" data-bs-toggle="modal" data-bs-target="#contact-popup" href="javascript:void(0)"><img class="lazy" src="'.base_url('assets/images/Send.svg').'" /></a>
                      </div>
                      <div class="more-detail">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      <!-- <a href="" style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a> -->
                    </div>
                    <div class="row">
                      <div class="col-12">
                    <div class="more-detail-mobile" style="display: none;">
                      <a href="'.$link.'">MORE DETAILS</a>
                      </div>
                      </div>
                      </div>

                  </div>
                </div></div>';
			}
			echo $output;
		}
	}

    public function sell()
    {
        $this->load->view('homepage_header_page');
        $this->load->view('right-hidden-menu');
        $this->load->view('sell');
        $this->load->view('forms/stay_updated_form');
        $this->load->view('forms/get_in_touch');
        $this->load->view('common_footer_page');
    }



    //BLOG
    public function blog_list()
    {
        $limit = 10;
        $offset = $this->input->post('offset');

        $output = '';
        $data['records'] = $this->main_model->blog_list($limit, $offset, $count=false);
        $data['count'] = $this->main_model->blog_list($limit, $offset, $count=true);

        if (!empty($data['records']))
        {
        foreach($data['records'] as $list)
        {
            $output .='<div class="blog-style1 list-style bgc-white d-block d-md-flex align-items-xl-center">

              <div class="blog-img flex-shrink-0">
              <a href="'.base_url('blog/'.$list->slug).'">
                <img class="w-100 lazy" src="'.$this->data['url'].$list->cover_image.'" alt="'.$list->page_title.'" loading="lazy">
                </a>
                <div class="date">
                  <span class="month">'.date('M',strtotime($list->posted_date)).'</span>
                  <span class="day">'.date('d',strtotime($list->posted_date)).'</span>
                </div>
              </div>
              <div class="blog-content pl30 pb20 flex-grow-1">
                <a class="tag" href="">'.ucwords($list->category).'</a>
                <h4 class="title mt-1 mb20"><a href="'.base_url('blog/'.$list->slug).'">'.$list->page_title.'</a></h4>
                <p class="text mb0">'.$list->short_content.'</p>
              </div>
            </div>';
        
        }
        $this->output->set_content_type('application/json')->set_output(json_encode(array('totrec' => $data["count"], 'records'=>$output)));
        // echo $output;
    }else{
        $output = 'false';
        $this->output->set_content_type('application/json')->set_output(json_encode(array('finished'=>$output)));
    }
    }

    public function blog()
    {   
        $this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
        // $this->data['blog_list'] = $this->main_model->blog_list();

        $this->data['categories'] = $this->main_model->getBlogCategories();
        $this->data['recent_post'] = $this->main_model->getRecentPosts();
      
        $this->load->view('common_header_page', $this->data);
        $this->load->view('right-hidden-menu');
        $this->load->view('blog');
        $this->load->view('common_footer_page');
    }

    public function blog_detail_page($slug)
    {
        $this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
        $this->data['blog_info'] = $this->main_model->blog_info($slug);
        $this->data['categories'] = $this->main_model->getBlogCategories();
        $this->data['recent_post'] = $this->main_model->getRecentPosts();
        $this->data['related_posts'] = $this->main_model->related_posts();

        $this->load->view('common_header_page', $this->data);
        $this->load->view('right-hidden-menu');
        $this->load->view('blog-detail-page');
        $this->load->view('common_footer_page');
    }

    
    //BLOG

    public function thank_you()
    {

        if (empty($this->input->post('status')))
        {
            return redirect(base_url());
        }else{
            $this->data['bootstrap'] = 'assets/css/bootstrap.min.css';
            $this->data['site_title'] ='Thank You';
            $this->data['site_description'] = '';
            $this->data['site_keywords'] = '';

            $this->load->view('common_header_page', $this->data);
            $this->load->view('thank-you');
            $this->load->view('common_footer_page');
        }
    }



}
