<?php

class Main_model extends CI_Model {
 
    public function insert_sale_rent_data($sale_rent_data)
    {
        foreach ($sale_rent_data as $value) {
            $this->db->insert('import_sale_rent_data', $value); 
        }                
    }

    public function insert_sale_rent_images($sale_rent_images)
    {
        foreach ($sale_rent_images as $value) {
            $this->db->insert('import_sale_rent_images', $value); 
        }                
    }


    public function delete_sale_rent_data()
    {
        $this->db->empty_table('import_sale_rent_data'); 
                           
    }

    public function delete_sale_rent_images()
    {
        $this->db->empty_table('import_sale_rent_images'); 
                           
    }

    public function delete_sale_data()
    {
        $this->db->empty_table('import_sale_data'); 
                           
    }

    public function delete_sale_images()
    {
        $this->db->empty_table('import_sale_images'); 
                           
    }
    //HOME PAGE
    public function sale_data($city_slug=null, $community_slug=null)
    {

        if (!empty($city_slug))
        {
            $this->db->where('city_slug',$city_slug);
        }

        if (!empty($community_slug))
        {
            $this->db->where('community_slug',$community_slug);
        }
        $this->db->where('status','sale');
        $d = $this->db->get('import_sale_rent_data');
        return $d->result();
    }

    public function rent_data()
    {
        $this->db->where('status','rent');
        $d = $this->db->get('import_sale_rent_data');
        return $d->result();
    }

    public function city_info($city_slug)
    {
        $this->db->where('slug', $city_slug);
        $d = $this->db->get('cities');
        return $d->row();
    }

    public function community_info($community_slug)
    {
        $this->db->where('slug', $community_slug);
        $d = $this->db->get('neighbourhood');
        return $d->row();
    }

    public function type_info($type_slug)
    {
        $this->db->where('slug', $type_slug);
        $d = $this->db->get('property_types');
        return $d->row();
    }

    public function property_info($property_slug)
    {
        $this->db->where('slug', $property_slug);
        $d = $this->db->get('property_info');
        return $d->row();
    }

    public function rent_info()
    {   $this->db->select('community_slug,city_slug, community_name,status,url_slug');
        $this->db->from('import_sale_rent_data');
        $this->db->where('status','rent');
        $this->db->group_by('community_name');
        $d = $this->db->get();
        return $d->result();
    }

    public function sale_info()
    {   $this->db->select('community_slug,city_slug, community_name');
        $this->db->from('import_sale_rent_data');
        $this->db->where('status','sale');
        $this->db->group_by('community_name');
        $d = $this->db->get();
        return $d->result();
    }

    public function loadOffPlanApartments()
    {
        $this->db->select('i.property_id,i.property_name,.i.cover_image,i.starting_price,i.max_size,i.slug,n.community_name');
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n', 'n.community_id = i.community_id');
        $this->db->join('property_types t', 't.type_id = i.property_type_id');
        $this->db->where('i.property_status','NEW');
        $this->db->where('i.published_status','Published');
        $this->db->where('i.property_featured','featured');
        $this->db->where('i.property_type_id',1);
        $this->db->order_by('i.property_id','desc');
        $d = $this->db->get();
        return $d->result();
    }

    public function loadOffPlanVillas()
    {
        $this->db->select('i.property_id,i.property_name,.i.cover_image,i.starting_price,i.max_size,i.slug,n.community_name');
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n', 'n.community_id = i.community_id');
         $this->db->join('property_types t', 't.type_id = i.property_type_id');
        $this->db->where('i.property_status','NEW');
        $this->db->where('i.published_status','Published');
        $this->db->where('i.property_featured','featured');
        $this->db->where('i.property_type_id',3);
        $this->db->order_by('i.property_id','desc');
        $d = $this->db->get();
        return $d->result();
    }

    public function loadOffPlanTownhouses()
    {
        $this->db->select('i.property_id,i.property_name,.i.cover_image,i.starting_price,i.max_size,i.slug,n.community_name');
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n', 'n.community_id = i.community_id');
        $this->db->join('property_types t', 't.type_id = i.property_type_id');
        $this->db->where('i.property_status','NEW');
        $this->db->where('i.published_status','Published');
        $this->db->where('i.property_featured','featured');
        $this->db->where('i.property_type_id',4);
        $this->db->order_by('i.property_id','desc');
        $d = $this->db->get();
        return $d->result();
    }
    
    public function bedroom_info($property_id)
    {
        $this->db->where('property_id',$property_id);
        $d = $this->db->get('property_bedroom_detail');
        return $d->result();
    }

    public function homepage_communities()
    {
        $community_ids = array(195912, 196135, 195587, 80139, 195584, 196147, 55738, 196129, 196109, 196156);
        $this->db->select('n.community_id,n.community_name,c.slug as city_slug,n.slug,n.cover_image');
        $this->db->from('neighbourhood n');
        $this->db->join('cities c','c.city_id = n.city_id');
        $this->db->where_in('n.community_id', $community_ids);
        $d = $this->db->get();
        return $d->result();
    }

    public function homepage_blog_info()
    {
        $this->db->limit(3);
        $this->db->where('website','Salwa');
        $this->db->where('status','Published');
        $this->db->order_by('blog_id', 'desc');
        $d = $this->db->get('uae_offplan_blog');
        return $d->result();
    }

    public function getFetchRecord($query)
    {
        // $d = $this->db
        //         ->select("c.slug as city_slug,n.community_name,n.slug,i.property_name")
        //         ->from('property_info i')
        //         ->join('cities c', 'c.city_id = i.city_id')
        //         ->join('neighbourhood n', 'n.community_id = i.community_id')
        //         ->like("i.property_name",$query)
        //         ->limit(25)
        //         ->get();

        // return $d->result_array();

        $this->db->select('i.property_id, i.property_name, n.community_name,c.slug as city_slug, n.slug as community_slug,i.slug as property_slug');
        $this->db->from('property_info i');
        $this->db->join('developers d','d.developer_id = i.developer_id');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->join('cities c','c.city_id = i.city_id');
        
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');

        $this->db->group_start();
        $this->db->or_like('property_name', $query);
        $this->db->or_like('type_name', $query);
        $this->db->or_like('starting_price', $query);
        // $this->db->or_like('developer_name', $query);
        // $this->db->or_like('community_name', $query);
        $this->db->group_end();
        

        // $this->db->group_by('property_name,developer_name,community_name');
        $this->db->distinct();
        $d = $this->db->get();
        if($d->num_rows() > 0)
        {
            return $d->result_array();
        }else{

            return false;
        }
    }

    //HOME PAGE

    //ALL PROPERTIES FOR SALE
    public function all_properties_for_sale()
    {
        $this->db->where('property_status','SALE');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_for_sale_data($city_slug, $community_slug, $limit, $start, $sort_by, $count=false)
    {

        $this->db->select("i.id,i.property_name,i.price,i.size, i.photo,i.bedroom,i.description, i.community_name, i.community_slug,i.city_slug,i.sub_community,i.city_name,i.property_type,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->where('i.status', 'sale');
        // $this->db->where('i.published_status', 'Published');
        if (!empty($city_slug))
        {
            $this->db->where('i.city_slug', $city_slug);
        }
        if (!empty($community_slug))
        {
            $this->db->where('i.community_slug', $community_slug);
        }
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
            $this->db->limit($limit, $start);
            $query = $this->db->get();
            return $query;
        }
    }
    //ALL PROPERTIES FOR SALE

    // ALL PROPERTIES FOR RENT
    public function load_for_rent_data($city_slug, $community_slug, $limit, $start, $sort_by, $count=false)
    {
        $this->db->select("i.id,i.title,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.sub_community,i.property_type,i.community_name, i.page_slug,i.sub_community,i.city_name,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        // $this->db->where('i.property_status', 'SALE');
        // $this->db->where('i.published_status', 'Published');
        $this->db->where('status', 'rent');
        if (!empty($city_slug))
        {
            $this->db->where('i.city_slug', $city_slug);
        }
        if (!empty($community_slug))
        {
            $this->db->where('i.community_slug', $community_slug);
        }
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
            $this->db->limit($limit, $start);
            
            $query = $this->db->get();
            return $query;
        }
    }

    public function load_apartment_rent_data($limit, $start, $sort_by, $count=false)
    {
        $this->db->select("i.id,i.title,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.page_slug,i.community_name,i.sub_community,i.city_name,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        $this->db->where('property_type', 'apartments');
        $this->db->where('status', 'rent');
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
            $this->db->limit($limit, $start);
            $query = $this->db->get();
            return $query;
        }
    }

    public function load_villa_rent_data($limit, $start, $sort_by, $count=false)
    {
        $this->db->select("i.id,i.title,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.page_slug,community_name,i.sub_community,i.city_name,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        $this->db->where('property_type', 'villas');
        $this->db->where('status', 'rent');
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
            $this->db->limit($limit, $start);
            $query = $this->db->get();
            return $query;
        }
    }

    public function load_townhouse_rent_data($limit, $start, $sort_by, $count=false)
    {
        $this->db->select("i.id,i.title,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.page_slug,i.community_name,i.sub_community,i.city_name,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        $this->db->where('property_type', 'townhouses');
        $this->db->where('status', 'rent');
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
            $this->db->limit($limit, $start);
            $query = $this->db->get();
            return $query;
        }
    }
    // ALL PROPERTIES FOR RENT


    //APARTMENTS FOR SALE
    public function apartments_for_sale()
    {
        $this->db->where('status','sale');
        // $this->db->where('published_status', 'Published');
        $this->db->where('property_type', 'apartments');
        $this->db->order_by('id','desc');
        $d = $this->db->get('import_sale_rent_data');
        return $d->result();
    }

    public function load_apartments_for_sale_data($limit, $start, $sort_by)
    {
        $this->db->select("i.id,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.city_name,i.sub_community,i.property_type,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        
        if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
        
        $this->db->limit($limit, $start);
        $this->db->where('status', 'sale');
        // $this->db->where('published_status', 'Published');
        $this->db->where('property_type', 'apartments');
        $query = $this->db->get();
        return $query;
    }
    //APARTMENTS FOR SALE

    //VILLAS FOR SALE
    public function villas_for_sale()
    {
        $this->db->where('status','sale');
        // $this->db->where('published_status', 'Published');
        $this->db->where('property_type', 'villas');
        $this->db->order_by('id','desc');
        $d = $this->db->get('import_sale_rent_data');
        return $d->result();
    }

    public function load_villas_for_sale_data($limit, $start, $sort_by)
    {
        $this->db->select("i.id,i.property_name,i.price,i.size,i.photo,i.bedroom,i.description,i.community_name,i.community_slug,i.city_name,i.sub_community,i.property_type,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        
        if ($sort_by == 'newest_first')
        {
            $this->db->order_by('id','desc');    
        }
        if($sort_by == 'price_low_to_high')
        {
            $this->db->order_by('price','acs');
        }
        if($sort_by == 'price_high_to_low')
        {
            $this->db->order_by('price','desc');
        }
        if($sort_by == 'sqft_small_to_large')
        {
            $this->db->order_by('size','asc');
        }
        if($sort_by == 'sqft_large_to_small')
        {
            $this->db->order_by('size','desc');
        }
        if($sort_by == 'oldest_first')
        {
            $this->db->order_by('id','asc');
        }
        
        $this->db->limit($limit, $start);
        $this->db->where('status', 'sale');
        // $this->db->where('published_status', 'Published');
        $this->db->where('property_type', 'villas');
        $query = $this->db->get();
        return $query;
    }
    //VILLAS FOR SALE

    //OFF PLAN PROPERTIES
    public function offplan_properties()
    {
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    // public function offplan_properties_search($city_id, $community_id)
    // {
    //     $this->db->select('*');
    //     $this->db->from('property_info i');
    //     $this->db->join('neighbourhood n', 'n.community_id = i.community_id');
    //     $this->db->where('i.city_id', $city_id);
    //     $this->db->where('i.community_id', $community_id);
    //     $this->db->where('property_status','NEW');
    //     $this->db->where('published_status', 'Published');
    //     $this->db->order_by('property_id','desc');
    //     $d = $this->db->get();
    //     return $d->result();
    // }

    // public function count_offplan_records()
    // {   
    //     $this->db->where('property_status', 'NEW');
    //     $this->db->where('published_status', 'Published');
    //     $d = $this->db->get('property_info');
    //     return $d->num_rows();
    // }

    public function load_offplan_data($property_slug, $city_slug, $community_slug, $limit, $start, $count=false)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.slug,i.meta_desc,t.type_name,i.mark_coming_soon_ready_to_move");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->join('cities c','c.city_id = i.city_id');
        $this->db->order_by('property_id','desc');
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');

        if (!empty($city_slug) && !empty($community_slug) && !empty($property_slug) )
        {   
            $this->db->where('i.slug', $property_slug);
            $this->db->where('c.slug', $city_slug);
            $this->db->where('n.slug', $community_slug);
        }

        if (!empty($city_slug) && empty($community_slug) && empty($property_slug))
        {   
            $this->db->where('c.slug', $city_slug);
        }
        if (!empty($city_slug) && !empty($community_slug) && empty($property_slug))
        {   
            $this->db->where('c.slug', $city_slug);
            $this->db->where('n.slug', $community_slug);
        }


        
        
        // $this->db->group_start();
            // $this->db->or_like('c.slug', $search_query);
            // $this->db->or_like('n.slug', $community_slug);
            // $this->db->or_like('i.slug', $property_slug);
            // $this->db->group_end();
        // if (!empty($city_slug))
        // {
        //     $this->db->where('', $city_slug);
        // }
        // if (!empty($community_id))
        // {
        //     $this->db->where('i.community_slug', $community_slug);
        // }
        
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            
            $this->db->limit($limit, $start);            
            $query = $this->db->get();
            return $query;    
        }        
        
    }

    public function offplan_images($property_id)
    {
        // $this->db->limit(4);
        $this->db->where('property_id', $property_id);
        $d = $this->db->get('property_images_upload');
        return $d->result();
    }

    public function offplan_bedroom_info($property_id)
    {
        $this->db->where('property_id',$property_id);
        $d = $this->db->get('property_bedroom_detail');
        return $d->result();
    }
    //OFF PLAN PROPERTIES

    //NEW DEVELOPMENTS DUBAI MARINA
    public function dubai_marina_properties()
    {
        $this->db->where('community_id', 80155);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_dubai_marina_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 80155);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS DUBAI MARINA

    //NEW DEVELOPMENTS DOWNTOWN DUBAI
    public function downtown_dubai_properties()
    {
        $this->db->where('community_id', 195589);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_downtown_dubai_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 195589);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS DOWNTOWN DUBAI

    //NEW DEVELOPMENTS BUSINESS BAY
    public function business_bay_properties()
    {
        $this->db->where('community_id', 80145);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_business_bay_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 80145);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS BUSINESS BAY

    //NEW DEVELOPMENTS PALM JUMEIRAH
    public function palm_jumeirah_properties()
    {
        $this->db->where('community_id', 195909);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_palm_jumeirah_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 195909);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS PALM JUMEIRAH

    //NEW DEVELOPMENTS CREEK HARBOUR
    public function creek_harbour_properties()
    {
        $this->db->where('community_id', 55738);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_creek_harbour_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 55738);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS CREEK HARBOUR

    //NEW DEVELOPMENTS JUMEIRAH VILLAGE CIRCLE
    public function jumeirah_village_circle_properties()
    {
        $this->db->where('community_id', 195584);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_jumeirah_village_circle_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 195584);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS JUMEIRAH VILLAGE CIRCLE

    //NEW DEVELOPMENTS JUMEIRAH
    public function jumeirah_properties()
    {
        $this->db->where('community_id', 80172);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_jumeirah_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 80172);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS JUMEIRAH VILLAGE CIRCLE

    //NEW DEVELOPMENTS PALM JEBEL ALI
    public function palm_jebel_ali_properties()
    {
        $this->db->where('community_id', 195912);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_palm_jebel_ali_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.community_id', 195912);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS PALM JEBEL ALI

    //NEW DEVELOPMENTS APARTMENTS
    public function offplan_apartments_properties()
    {
        $this->db->where('property_type_id',1);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_offplan_apartments_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.mark_coming_soon_ready_to_move, t.type_name,i.slug");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.property_type_id', 1);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }

    public function amenities_info($property_id)
    {
        $this->db->where('property_id', $property_id);
        $this->db->join('amenities','amenities.amenity_id = property_amenities_detail.amenity_id');
        $d = $this->db->get('property_amenities_detail');
        return $d->result();
    }

    public function offplan_penthouses_properties()
    {
        $this->db->where('property_type_id',2);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_offplan_penthouses_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.mark_coming_soon_ready_to_move,i.slug,t.type_name");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.property_type_id', 2);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS APARTMENTS

    //NEW DEVELOPMENTS VILLAS
    public function offplan_villa_properties()
    {
        $this->db->where('property_type_id',3);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_offplan_villa_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.mark_coming_soon_ready_to_move,t.type_name,i.slug");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.property_type_id', 3);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS VILLAS

    //NEW DEVELOPMENTS TOWNHOUSES
    public function offplan_townhouses_properties()
    {
        $this->db->where('property_type_id',4);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('property_id','desc');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function load_offplan_townhouses_data($limit, $start)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.mark_coming_soon_ready_to_move,i.slug,t.type_name");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->order_by('property_id','desc');        
        $this->db->limit($limit, $start);
        $this->db->where('i.property_type_id', 4);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $query = $this->db->get();
        return $query;
    }
    //NEW DEVELOPMENTS VILLAS

    //NEW PROJECT DETAIL PAGE
    public function new_project_detail_info($slug)
    {
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.slug,i.full_content,i.latitude,i.longitude,t.type_name,d.developer_name,i.mark_coming_soon_ready_to_move,i.property_type_id");
        $this->db->from('property_info i');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->join('developers d','d.developer_id = i.developer_id');
        $this->db->order_by('i.property_id','desc');        
        $this->db->where('i.slug', $slug);        
        $this->db->where('i.property_status', 'NEW');
        $this->db->where('i.published_status', 'Published');
        $query = $this->db->get();
        return $query->row();
    }

    public function project_images($property_id)
    {
        // $this->db->limit(4);
        $this->db->where('property_id', $property_id);
        $d = $this->db->get('property_images_upload');
        return $d->result();
    }

    public function latest_project_detail_info($type_id, $count=false)
    {
        // echo $type_id;
        // exit();
        $this->db->select("i.property_id,i.property_name,i.starting_price,i.min_size,i.max_size,i.cover_image,i.completion_date,n.community_name,i.short_content,i.slug,i.full_content,i.latitude,i.longitude,i.meta_desc");
        $this->db->from('property_info i');
        // $this->db->join('property_info i', 'i.property_id = f.property_id');
        $this->db->join('neighbourhood n','n.community_id = i.community_id');
        // $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->order_by('i.property_id','desc');
        
        $this->db->limit(10,1);
        $this->db->where('i.property_type_id',$type_id);
        $this->db->where('i.property_status', 'NEW');
        $this->db->where('i.published_status', 'Published');
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            $query = $this->db->get();
            return $query;
        }
    }
    //NEW PROJECT DETAIL PAGE

    // RENT DETAIL PAGE
    public function rent_property_detail_info($slug)
    {
        $this->db->select("i.id,i.property_name,i.title,i.price,i.size,i.photo,i.community_name,i.description,i.property_type,i.page_slug,i.reference_number,i.bedroom,i.property_type,i.url_slug,i.bathroom,i.amenities,i.last_update");
        $this->db->from('import_sale_rent_data i');
        $this->db->order_by('i.id','desc');        
        // $this->db->where('i.community_slug', $community_slug);
        $this->db->where('i.url_slug', $slug);
        $query = $this->db->get();
        return $query->row();
    }

    public function rent_property_images($reference_number)
    {
        $this->db->where('reference_number', $reference_number);
        $query = $this->db->get('import_sale_rent_images');
        return $query->result();
    }

    public function latest_property_detail_info($count=false)
    {
        // echo $type;
        // exit();
        $this->db->select("i.id,i.property_name,i.price,i.size,i.photo,i.title,i.bedroom,i.community_slug,i.community_name,i.description,i.page_slug,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        $this->db->order_by('i.id','desc');
        // $this->db->where('i.property_type',$type);
        $this->db->where('i.status','rent');
        // $this->db->limit(10);
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            $query = $this->db->get();
            return $query;
        }
    }
    // RENT DETAIL PAGE

    // SALE DETAIL PAGE
    public function sale_property_detail_info($slug)
    {
        $this->db->select("i.id,i.property_name,i.price,i.size,i.photo,i.bedroom,i.community_name,i.property_type,i.description, i.reference_number,i.bathroom,i.url_slug");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        // $this->db->join('property_types t','t.type_id = i.property_type_id');
        $this->db->where('i.url_slug',$slug);
        $query = $this->db->get();
        return $query->row();
    }

    public function sale_property_images($reference_number)
    {
        $this->db->where('reference_number', $reference_number);
        $query = $this->db->get('import_sale_rent_images');
        return $query->result();
    }

    public function sale_latest_property_detail_info($count=false)
    {
        $this->db->select("i.id,i.property_name,i.price,i.size,i.photo,i.bedroom,i.community_name,i.community_slug, i.description,i.url_slug,i.sub_community,i.city_name");
        $this->db->from('import_sale_rent_data i');
        // $this->db->join('neighbourhood n','n.community_id = i.community_id');
        $this->db->order_by('i.id','desc');
        $this->db->where('i.status','sale');
        // $this->db->limit(10);
        if ($count)
        {
            return $this->db->count_all_results();
        }else{
            $query = $this->db->get();
            return $query;
        }
    }

    

    // SALE DETAIL PAGE


    //Blog
    public function blog_list($limit, $page, $count=true)
    {
        $this->db->select('*');
        $this->db->from('uae_offplan_blog');
        $this->db->where('website','Salwa');
        $this->db->where('status','Published');
        $this->db->order_by('blog_id', 'desc');

        if ($count)
        {
            return $this->db->count_all_results();
        }else{

        $this->db->limit($limit, $page);
        $d = $this->db->get();
        return $d->result();
    }
        
    }

    public function getRecentPosts()
    {
        $this->db->where('website','Salwa');
        $this->db->where('status','Published');
        $this->db->limit(5);
        $this->db->order_by('blog_id','desc');
        $d = $this->db->get('uae_offplan_blog');
        return $d->result();
    }

    public function getBlogCategories()
    {   
        $this->db->select('category, COUNT(*) AS category_count');
        $this->db->from('uae_offplan_blog');
        $this->db->where('website','Salwa');
        $this->db->where('status','Published');
        $this->db->group_by('category');
        $d = $this->db->get();
        return $d->result();
    }

    public function blog_info($slug)
    {
        $this->db->where('slug', $slug);
        $d = $this->db->get('uae_offplan_blog');
        return $d->row();
    }

    public function related_posts()
    {
        $this->db->where('website', 'Salwa');
        $this->db->where('status', 'Published');
        $this->db->limit(12, 1);
        $this->db->order_by('blog_id', 'desc');
        $d = $this->db->get('uae_offplan_blog');
        return $d->result();
    }

    //Blog


 }