<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <!-- Favicon -->
<link rel="icon" type="image/x-icon" href="<?=base_url('assets/images/favicon.svg')?>">
<meta charset="utf-8">
<link rel="canonical" href="<?=current_url()?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name='robots' content='index, follow' />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="keywords" content="<?=$this->data['site_keywords']?>">
<meta name="description" content="<?=$this->data['site_description']?>">
<link rel="icon" type="image/x-icon" href="<?=base_url('assets/images/favicon.svg')?>">
<!-- <meta name="CreativeLayers" content="ATFN"> -->
<!-- Title -->
<meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
<meta property="og:title" content="<?=$this->data['site_title']?>">
<meta property="og:description" content="<?= $this->data['site_description']?>">
<meta property="og:url" content="<?=current_url()?>" />
<meta property="og:site_name" content="Salwa-Properties" />
  <meta property="article:modified_time" content="<?= date('c',time())?>" />
  <meta property="og:image" content="<?=base_url('assets/images/apartments.jpg')?>" />
  <meta property="og:image:width" content="200" />
  <meta property="og:image:height" content="200" />
  <meta property="og:image:type" content="image/webp" />
  <meta name="twitter:card" content="summary_large_image" />
<!-- css file -->
<?php if (!empty($this->data['bootstrap'])):?>
  <link rel="stylesheet" href="<?=base_url().$this->data['bootstrap']?>">
<?php endif;?>

<script src="https://cdnjs.cloudflare.com/ajax/libs/vanilla-lazyload/12.0.0/lazyload.min.js"></script>
<!-- Initialize LazyLoad.js -->
<script>
    var lazyLoadInstance = new LazyLoad({
        elements_selector: ".lazy"
    });
</script>

<script src="<?=base_url('assets/js/jquery-3.6.4.min.js')?>"></script>


<link rel="stylesheet" href="<?=base_url('assets/css/ace-responsive-menu.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/menu.min.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/fontawesome.min.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/flaticon.css')?>">

<link rel="stylesheet" href="<?=base_url('assets/css/jquery-ui.min.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/bootstrap-select.min.css')?>">

<link rel="stylesheet" href="<?=base_url('assets/css/animate.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/slider.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/style.min.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/custom-style.min.css')?>">

<link rel="stylesheet" href="<?=base_url('assets/css/ud-custom-spacing.css')?>">
<!-- Responsive stylesheet -->
<link rel="stylesheet" href="<?=base_url('assets/css/responsive.css')?>">
<link rel="stylesheet" href="<?=base_url('assets/css/intlTelInput.min.css')?>">




<?php if (!empty($this->data['app'])):?>
  <link rel="stylesheet" href="<?=base_url().$this->data['app']?>">
<?php endif;?>





<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!-- [if lt IE 9]> -->
<!-- <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script> -->
<!-- <![endif] -->

</head>

<body>
<div class="wrapper ovh">
  <div class="preloader" style="display: none"></div>
  

  
  <!-- Main Header Nav -->
  <header class="header-nav nav-innerpage-style style2 bdrb1 main-menu">
    <!-- Ace Responsive Menu -->
    <nav class="posr"> 
      <div class="container maxw1480 posr">
        <div class="row align-items-center justify-content-between">
          <div class="col-md-10">
            <!-- Responsive Menu Structure-->
            <div class="d-flex align-items-center justify-content-between">
       
             <div class="logos mr40">
                
                <a class="header-logo logo2" href="<?=base_url()?>"><img class="lazy" src="<?=base_url('assets/images/logo/salwa-logo.png')?>" width="150px" alt="Header Logo"></a>
              </div>
     
            <ul id="respMenu" class="ace-responsive-menu" data-menu-style="horizontal">
                <li class="visible_list"> <a class="list-item" href="#"><span class="title"><?=$this->lang->line('buy')?></span></a>
                  <!-- Level Two-->
                  <ul>
                    
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/for-sale')?>"><?=$this->lang->line('all_properties_for_sale')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/apartments-for-sale')?>"><?=$this->lang->line('apartments_for_sale')?></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/house-villas-for-sale')?>"><?=$this->lang->line('house_villas_for_sale')?></a></li>
                  </ul>
                </li>

                <li class="visible_list"> <a class="list-item" href=""><span class="title"><?=$this->lang->line('sell')?></span></a>
                 
                </li>
                
                <li class="visible_list"> <a class="list-item" href="#"><span class="title"><?=$this->lang->line('rent')?></span></a>
                  <!-- Level Two-->
                  <ul>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/for-rent')?>"><?=$this->lang->line('all_properties_for_rent')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/apartments-for-rent')?>"><?=$this->lang->line('apartments_for_rent')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/villa-for-rent')?>"><?=$this->lang->line('villa_for_rent')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/townhouse-for-rent')?>"><?=$this->lang->line('townhouse_for_rent')?></a></li>
                  </ul>
                </li>

                <li class="visible_list"> <a class="list-item" href="#"><span class="title"><?=$this->lang->line('off_plan')?></span></a>
                  <!-- Level Two-->
                  <ul>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments-in-dubai')?>"><?=$this->lang->line('all_off_plan_projects')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/apartments')?>"><?=$this->lang->line('apartments')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/villa-house')?>"><?=$this->lang->line('villas')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/townhouses')?>"><?=$this->lang->line('townhouses')?></a></li>
                  </ul>
                </li>
                
                <!-- <li class="visible_list"> <a class="list-item" href="#"><span class="title"><?=$this->lang->line('home_loans')?></span></a>
                </li> -->

                <li class="visible_list"> <a class="list-item" href="#"><span class="title"><?=$this->lang->line('agents')?></span></a>
                </li>
              </ul>
          </div>
        </div>
          <div class="col-md-2">
            <div class="d-flex align-items-center">
              <a class="login-info d-flex align-items-center me-3" data-bs-toggle="modal" href="#exampleModalToggle" role="button"><i class="fa-solid fa-globe"></i> <span class="d-none d-xl-block"></span></a>

              <a class="login-info d-flex align-items-center me-5" data-bs-toggle="modal" href="#exampleModalToggle" role="button"><span class="d-none d-xl-block"></span>
                <?php 
                  if ($this->session->userdata('lang') == 'en')
                  {
                    $language = 'EN';
                    echo $language;
                  }
                  if ($this->session->userdata('lang') == 'ar')
                  {
                    $language = 'AR';
                    echo $language;
                  }

                ?></a>
              <!-- <a class="ud-btn add-property menu-btn bdrs60 mx-2 mx-xl-4" href="page-dashboard-add-property.html">Add Property<i class="fal fa-arrow-right-long"></i></a> -->
              <a class="sidemenu-btn filter-btn-right" href="#">
                <img class="img-1 lazy" src="<?=base_url('assets/images/icon/nav-icon-white.svg')?>" alt="icon-white">
                <img class="img-2 lazy" src="<?=base_url('assets/images/icon/nav-icon-dark.svg')?>" alt="icon-dark"></a>

            </div>
          </div>
        </div>
      </div>
    </nav>
  </header>

  <!-- Mobile Nav  -->
  <div id="page" class="mobilie_header_nav stylehome1">
    <div class="mobile-menu">
      <div class="header innerpage-style">
        <div class="menu_and_widgets">
          <div class="mobile_menu_bar d-flex justify-content-between align-items-center">
            <!-- <a class="menubar" href="#menu"><img src="" alt=""></a> -->
            <a class="mobile_logo" href="<?=base_url()?>"><img class="lazy" src="<?=base_url('assets/images/logo/salwa-logo.png')?>" width="100" alt="salwa-logo"></a>
            <!-- <a href="page-login.html"></a> -->

             <a class="login-info d-flex align-items-center me-3" data-bs-toggle="modal" href="#exampleModalToggle" role="button"><i class="fa-solid fa-globe"></i> <span class="d-none d-xl-block"></span></a>

             <a class="login-info d-flex align-items-center me-5" data-bs-toggle="modal" href="#exampleModalToggle" role="button"><span class="d-none d-xl-block"></span><?=$language?></a>


            <a class="sidemenu-btn filter-btn-right" href="#">
                <img class="img-2 lazy" src="<?=base_url('assets/images/icon/nav-icon-dark.svg')?>" alt="icon-dark"></a>
          </div>
        </div>
      </div>
    </div>
    <!-- /.mobile-menu -->
    <nav id="menu" class="">
      <ul>
        <li><span>Buy</span>
          <ul>
            <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/for-sale')?>"><?=$this->lang->line('all_properties_for_sale')?></a></li>
                   <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/apartments-for-sale')?>"><?=$this->lang->line('apartments_for_sale')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/house-villas-for-sale')?>"><?=$this->lang->line('house_villas_for_sale')?></a></li>
          </ul>
        </li>
       <li class="visible_list"> <a class="list-item" href=""><span class="title"><?=$this->lang->line('sell')?></span></a>
                 
                </li>
        
        <li><span>Rent</span>
          <ul>
            <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/for-rent')?>"><?=$this->lang->line('all_properties_for_rent')?></a></li>

                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/apartments-for-rent')?>"><?=$this->lang->line('apartments_for_rent')?></a></li>

                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/villa-for-rent')?>"><?=$this->lang->line('villa_for_rent')?></a></li>

                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'properties/townhouse-for-rent')?>"><?=$this->lang->line('townhouse_for_rent')?></a></li>
          </ul>
        </li>


        <li><span>Off Plan</span>
          <ul>
            <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments-in-dubai')?>"><?=$this->lang->line('all_off_plan_projects')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/apartments')?>"><?=$this->lang->line('apartments')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/villa-house')?>"><?=$this->lang->line('villas')?></a></li>
                    <li><a href="<?=base_url($this->config->item('language_abbr').'/'.'new-developments/townhouses')?>"><?=$this->lang->line('townhouses')?></a></li>
          </ul>
        </li>

        <!-- <li class="visible_list"> <a class="list-item" href="#"><span class="title">Home Loans</span></a> -->
                 
                <!-- </li> -->

        <li class="visible_list"> <a class="list-item" href="#"><span class="title">Agents</span></a>
                 
                </li>

      <li class="visible_list"> <a class="list-item" href="#"><span class="title">Change Currency / Country</span></a>
                 
                </li>

        <!-- <li class="px-3 mobile-menu-btn">
          <a href="page-dashboard-add-property.html" class="ud-btn btn-thm text-white">Submit Property<i class="fal fa-arrow-right-long"></i></a>
        </li> -->
        <!-- Only for Mobile View -->
      </ul>
    </nav>
  </div>

 <!-- Signup Modal -->
 <div class="signup-modal">
    <div class="modal fade" id="exampleModalToggle" aria-hidden="true" aria-labelledby="exampleModalToggleLabel" tabindex="-1">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalToggleLabel">Setting</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <div class="log-reg-form">
              <div class="navtab-style2">
                
                <div class="tab-content" id="nav-tabContent2">
                  <?= form_open('main/switchLang/','',['current'=>current_url()])?>
                  <!-- <form action="main" method="post"> -->
                  <div class="tab-pane fade show active fz15" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                    
                    <div class="form-style1">
                      <div class="mb25">
                        <label class="form-label fw600 dark-color">Currency</label>
                        <div class="form-style2 input-group">


                          <?php
                          $options3 = ['AED'=>'UAE Dirham - AED درہم ', 'USD'=>'United States Dollar - USD $','AUD'=>'Australian Dollar - AUD $','EUR'=>'Europe EUR &euro;']; 
                          ?>
                          <?= form_dropdown('currency',$options3,$this->session->userdata('currency'),['class'=>'selectpicker','data-live-search'=>'false','data-width'=>'100%'])?>                     
                      

                  </div>
                      </div>
                      <div class="mb15">
                        <label class="form-label fw600 dark-color">Language</label>
                        <div class="form-style2 input-group">
                          <?php
                          $options4 = ['en'=>'English', 'ar'=>'Arabic']; 
                          ?>
                          <?= form_dropdown('language',$options4,$this->session->userdata('lang'),['class'=>'selectpicker','data-live-search'=>'false','data-width'=>'100%'])?> 
                  </div>
                      </div>

                      
                     

                      </div>
                      <div class="d-grid mb20">
                        <button type='submit' class="ud-btn btn-thm" type="button">Save & Close <i class="fal fa-arrow-right-long"></i></button>
                      </div>
                     
                    
                     
                     
                   
                    </div>
                 <?=form_close()?>



                  </div>
                
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    

 


    