<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/userguide3/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'welcome';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;


// $route['api/new-projects'] = 'api/Home/index';
$route['api/index/(:any)'] = 'api/Home/index/$1';
$route['api/featured_projects/(:any)'] = 'api/Home/offplan_featured_projects/$1';
$route['api/sale_featured_properties/(:any)'] = 'api/Home/sale_featured_properties/$1';
$route['api/project_detail/(:any)/(:any)'] = 'api/Home/project_detail/$1/$2';
$route['api/listing_detail/(:any)/(:any)'] = 'api/Home/listing_detail/$1/$2';
$route['api/listing_properties/(:any)/(:any)'] = 'api/Home/listing_properties/$1/$2';

$route['api/projects/(:any)'] = 'api/Home/projects_detail/$1';
$route['api/listing/(:any)'] = 'api/Home/listing/$1';
$route['api/new_projects/(:any)'] = 'api/Home/new_projects/$1';


$route['api/community/(:any)'] = 'api/Home/community_detail/$1';

$route['api/homepage_map_data/(:any)'] = 'api/Home/homepage_map_data/$1';


$route['sitemap\.xml'] = "Sitemap/index";
