<?php
defined('BASEPATH') or exit('No direct script access allowed');


require APPPATH . 'libraries/RestController.php';

use chriskacerguis\RestServer\RestController;

class Home extends RestController
{
	public $data = array();

	public function __construct()
	{
		parent::__construct();
		$this->data['url'] = 'https://uae-offplan.com/admin.uae-offplan/';
	}
	public function index_get($domain_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		// $community_id = $this->home_model->getCommunityID($domain_id)->community_id;

		$homepage_info = $this->home_model->homepage_info($domain_id);
		$nearby_places_info = $this->home_model->nearby_places_info($domain_id);
		$interior_gallery = $this->home_model->interior_gallery($domain_id);
		$exterior_gallery = $this->home_model->exterior_gallery($domain_id);
		$amenities_info = $this->home_model->amenities_info($domain_id);
		$faqs_info = $this->home_model->faqs_info($domain_id);
		
			$info = [
				'domain_id'				=>		$homepage_info->domain_id,
				'community_id'			=>		$homepage_info->community_id,
				'community_name'        =>      $homepage_info->community_name,
				'community_slug'        =>      $homepage_info->slug,
				'desktop_cover_image'	=>		$this->data['url'].$homepage_info->desktop_cover_image,
				'desktop_cover_image2'	=>		$this->data['url'].$homepage_info->desktop_cover_image2,
				'desktop_cover_image3'	=>		$this->data['url'].$homepage_info->desktop_cover_image3,
				'mobile_cover_image'	=>		$this->data['url'].$homepage_info->mobile_cover_image,
				'mobile_cover_image2'	=>		$this->data['url'].$homepage_info->mobile_cover_image2,
				'mobile_cover_image3'	=>		$this->data['url'].$homepage_info->mobile_cover_image3,
				'upload_logo_image'		=>		$this->data['url'].$homepage_info->logo_image,
				'slider_heading1'		=>		$homepage_info->slider_heading1,
				'slider_heading2'		=>		$homepage_info->slider_heading2,
				'slider_heading3'		=>		$homepage_info->slider_heading3,
				'slider_tagline'		=>		$homepage_info->slider_tagline,
				'slider_tagline2'		=>		$homepage_info->slider_tagline2,
				'slider_tagline3'		=>		$homepage_info->slider_tagline3,
				'slider_price'			=>		$homepage_info->slider_price,
				'slider_price2'			=>		$homepage_info->slider_price2,
				'slider_price3'			=>		$homepage_info->slider_price3,
				'slider_payment_plan'	=>		$homepage_info->slider_payment_plan,
				'slider_payment_plan2'	=>		$homepage_info->slider_payment_plan2,
				'slider_payment_plan3'	=>		$homepage_info->slider_payment_plan3,
				'slider_button_link'	=>		$homepage_info->slider_button_link,
				'slider_button_link2'	=>		$homepage_info->slider_button_link2,
				'slider_button_link3'	=>		$homepage_info->slider_button_link3,
				'homepage_content'		=>		$homepage_info->homepage_content,
				'homepage_meta_title'	=>		$homepage_info->homepage_meta_title,
				'homepage_meta_desc'	=>		$homepage_info->homepage_meta_desc,
				'homepage_meta_keywords'=>		$homepage_info->homepage_meta_keywords,
				'google_tag_manager_id'=>		$homepage_info->google_tag_manager_id,

			];

			$np=[];
			foreach ($nearby_places_info as $places) {
				$np[]= [
					'place_name'		=>		$places->place_name,
					'minutes'			=>		$places->minutes.' min',
					'place_image'		=>		$this->data['url'].$places->place_image,
				];
			}

			$int=[];
			foreach ($interior_gallery as $int_gallery) {
				$int[]= [
					'path'				=>		$this->data['url'].$int_gallery->path,
				];
			}

			$ext=[];
			foreach ($exterior_gallery as $ext_gallery) {
				$ext[]= [
					'path'				=>		$this->data['url'].$ext_gallery->path,
				];
			}

			$amenity=[];
			foreach ($amenities_info as $amenities) {
				$amenity[]= [
					'amenity_title'		=>		$amenities->amenity_title,
					'amenity_icon'		=>		$this->data['url'].$amenities->amenity_icon,
				];
			}

			$faqs=[];
			foreach ($faqs_info as $faq) {
				$faqs[]= [
					'faq_title'			=>		$faq->faq_title,
					'faq_description'	=>		$faq->faq_description,
				];
			}

			$data = array_merge($info, ['nearby'=>$np],['interior_gallery'=>$int],['exterior_gallery'=>$int],['amenities'=>$amenity],['faqs'=>$faqs]);

		$this->response($data, 200);
	}
	
	public function homepage_map_data_get($domain_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		$data = $this->home_model->homepage_map_data($community_id);

		$this->response($data, 200);
	}

	public function project_detail_get($domain_name, $project_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$project_detail = $this->home_model->getProjectDetail($community_id, $project_name);
		$exterior_image = $this->home_model->getExteriorImages($domain_id);

		

		
		foreach ($project_detail as $key => $value) {
			$amenities=[];
		    $amenity = $this->home_model->getAmenities($domain_id);

		    $ext=[];
		    $exterior = $this->home_model->exterior_gallery($domain_id);

		    $int=[];
		    $interior = $this->home_model->interior_gallery($domain_id);
		    
		    foreach($amenity as $amenity_value)
		    {
		        $amenities[] = [
		        		'aminity_title'	=>	$amenity_value->amenity_title,
		        		'aminity_icon'	=>	$this->data['url'].$amenity_value->amenity_icon,
		        ];
		    }

		    foreach($exterior as $exterior_value)
		    {
		        $ext[] = $this->data['url'].$exterior_value->path;
		    }

		    foreach($interior as $interior_value)
		    {
		        $int[] = $this->data['url'].$interior_value->path;
		    }

			$pd = [
				'meta_title'		=>		$value->community_meta_title,
				'meta_desc'			=>		$value->community_meta_desc,
				'meta_keywords'		=>		$value->community_meta_keywords,
				'property_id'		=>		$value->property_id,
				'property_name'		=>		$value->property_name,
				'community_name'	=>		$value->community_name,
				'project_name'		=>		$value->slug,
				'on_booking'		=>		(!empty($value->on_booking)?$value->on_booking.'%':'N/A'),
				'on_construction'	=>		(!empty($value->on_construction)?$value->on_construction.'%':'N/A'),
				'on_handover'		=>		(!empty($value->on_handover)?$value->on_handover.'%':'N/A'),
				'starting_price'	=>		nice_number($value->starting_price),
				'payment_plan'		=>		(($value->on_booking + $value->on_construction)." / ".$value->on_handover == "0 / 0"?'N/A':'Easy'.($value->on_booking + $value->on_construction)." / ".$value->on_handover),
				'cover_image'		=>		$this->data['url'].$value->cover_image,
				'exterior_image'	=>		(!empty($exterior_image->path)?$this->data['url'].$exterior_image->path:'N/A'),
				'amenities'			=>		$amenities,
				'full_content'		=>		$value->full_content,
				'exterior_gallery'	=>		$ext,
				'interior_gallery'	=>		$int,

			]; 
		}

	         
		$this->response($pd, 200);
	}
	
	
	public function listing_detail_get($domain_name, $property_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$property_detail = $this->home_model->getPropertyDetail($community_id, $property_name);

	

		$pd = [
				'meta_title'		=>		$property_detail->community_meta_title,
				'meta_desc'			=>		$property_detail->community_meta_desc,
				'meta_keywords'		=>		$property_detail->community_meta_keywords,
				'property_id'		=>		$property_detail->property_id,
				'property_name'		=>		$property_detail->property_name,
				'community_name'	=>		$property_detail->community_name,
				'project_name'		=>		$property_detail->project_name,
				'starting_price'	=>		($property_detail->starting_price != 0?nice_number($property_detail->starting_price):'Ask for price'),
				'cover_image'		=>		$this->data['url'].$property_detail->cover_image,
				'bedroom'           =>  $property_detail->for_sale_bedroom,
				'size'           =>  $property_detail->max_size,
				'full_content'		=>		$property_detail->full_content,
			];
		
			
		    $img=[];
		    $images = $this->home_model->getSaleGallery($property_detail->property_id);
		    
		    foreach($images as $image_value)
		    {
		        $img[] = [
		            'image_path'  =>    $this->data['url'].$image_value->path,
		            ];
		    }
		    
		    $amenity=[];
		    $amenities = $this->home_model->getSaleAmenities($property_detail->property_id);
		    
		    foreach($amenities as $row)
		    {
		        $amenity[] = [
		            'amenity_name'  =>    $row->amenity_name,
		            'amenity_icon'  =>    $this->data['url'].$row->amenity_icon,
		            ];
		    }
		    
		    $usps=[];
		    $usps_detail = $this->home_model->getSaleUsps($property_detail->property_id);
		    
		    foreach($usps_detail as $detail)
		    {
		        $usps[] = [
		            'project_usps'  =>    $detail->project_usps,
		            ];
		    }
		    
		    $data = array_merge($pd, ['images'=>$img],['amenities'=>$amenity],['usps'=>$usps]);
    
	         
		$this->response($data, 200);
	}

	public function community_detail_get($domain_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		
		$community_detail = $this->home_model->getCommunityDetail($domain_id);

		$detail = [
			'community_id'			=>			$community_detail->community_id,
			'logo_image'			=>			$this->data['url'].$community_detail->logo_image,
			'favicon'				=>			$community_detail->favicon,
			'desktop_cover_image'	=>			$this->data['url'].$community_detail->desktop_cover_image,
			'desktop_cover_image2'	=>			$this->data['url'].$community_detail->desktop_cover_image2,
			'desktop_cover_image3'	=>			$this->data['url'].$community_detail->desktop_cover_image3,
			'mobile_cover_image'	=>			$this->data['url'].$community_detail->mobile_cover_image,
			'mobile_cover_image2'	=>			$this->data['url'].$community_detail->mobile_cover_image2,
			'mobile_cover_image3'	=>			$this->data['url'].$community_detail->mobile_cover_image3,
			'slider_heading1'		=>			$community_detail->slider_heading1,
			'slider_heading2'		=>			$community_detail->slider_heading2,
			'slider_heading3'		=>			$community_detail->slider_heading3,
			'slider_tagline'		=>			$community_detail->slider_tagline,
			'slider_tagline2'		=>			$community_detail->slider_tagline2,
			'slider_tagline3'		=>			$community_detail->slider_tagline3,
			'slider_button_link'	=>			$community_detail->slider_button_link,
			'slider_button_link2'	=>			$community_detail->slider_button_link2,
			'slider_button_link3'	=>			$community_detail->slider_button_link3,
		];

		$this->response($detail, 200);
	}

	public function offplan_featured_projects_get($domain_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		// echo "NEW PROJECTS";
		$featured_projects = $this->home_model->getFeaturedProjects($community_id);
		
		$project_detail=[];
		
		foreach ($featured_projects as $projects) {
		    $bed=[];
		    $bedroom = $this->home_model->bedroom_detail($projects->property_id);
		    
		    foreach($bedroom as $value)
		    {
		        $bed[] = $value->bedroom;
		    }
		    
		$project_detail[] = [
				'property_id' => $projects->property_id,
	         	'property_name' => $projects->property_name,
	         	'starting_price' => ($projects->starting_price=="0"?'Ask for price':nice_number($projects->starting_price)),
	         	'community_name' =>	$projects->community_name,
	         	'type_name' =>	$projects->type_name,
	         	'payment_plan' =>	($projects->on_booking + $projects->on_construction). "/" . $projects->on_handover. " Payment Plan",
	         	'status'    => $projects->featured_unfeatured_status,
	         	'slug'    => $projects->slug,
	         	'cover_image'    => $this->data['url'].$projects->cover_image,
	         	'size'    => number_format($projects->max_size). ' Sqft',
	         	'project_usps' => str_replace('&amp;','&',$projects->project_usps),
	         	'bedroom' => str_replace(" , ", ", ",str_replace("Br", "",$bed)),
	         	];
	        
	        }	
	         
		$this->response($project_detail, 200);
	}
	
	public function sale_featured_properties_get($domain_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$featured_properties = $this->home_model->getSaleFeaturedProperties($community_id);
		
		$properties_detail=[];
		foreach ($featured_properties as $properties) {			
		$properties_detail[] = [
				'property_id' => $properties->property_id,
	         	'property_name' => $properties->property_name,
	         	'starting_price' => ($properties->starting_price=="0"?'Ask for price':nice_number($properties->starting_price)),
	         	'community_name' =>	$properties->community_name,
	         	'type_name' =>	$properties->type_name,
	         	'status'    => $properties->featured_unfeatured_status,
	         	'slug'		=>	$properties->community_slug,
	         	'cover_image'    => $this->data['url'].$properties->cover_image,
	         	'size'    => number_format($properties->max_size). ' Sqft',
	         	'bedroom'	=>	$properties->for_sale_bedroom,
	         	'project_usps' => str_replace('&amp;','&',$properties->project_usps),
	         	];
	        
	        }	
	         
		$this->response($properties_detail, 200);
	}
	
	public function listing_properties_get($domain_name, $project_name)
	{
		$domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$listing = $this->home_model->getListingProperties($community_id, str_replace('-',' ',$project_name));
		
		$properties_detail=[];
		foreach ($listing as $properties) {			
		$properties_detail[] = [
				'property_id' => $properties->property_id,
	         	'property_name' => $properties->property_name,
	         	'project_name'	=>	$properties->project_name,
	         	'starting_price' => ($properties->starting_price=="0"?'Ask for price':nice_number($properties->starting_price)),
	         	'community_name' =>	$properties->community_name,
	         	'type_name' =>	$properties->type_name,
	         	'slug'		=>	$properties->slug,
	         	'cover_image'    => $this->data['url'].$properties->cover_image,
	         	'size'    => number_format($properties->max_size). ' Sqft',
	         	'bedroom'	=>	$properties->for_sale_bedroom,
	         	'project_usps' => str_replace('&amp;','&',$properties->project_usps),
	         	];
	        
	        }	
	         
		$this->response($properties_detail, 200);
	}
	
	public function new_projects_get($domain_name)
	{
	    $domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$new_projects = $this->home_model->new_projects($community_id);
		$content = $this->home_model->new_projects_content($community_id);
		
		$content_detail = [
		        'logo_image'   =>      $this->data['url'].$content->logo_image,
		        'content'       =>      $content->new_projects_content,
		    ];
		
		$project_detail=[];
		foreach ($new_projects as $projects) {
		    $bed=[];
		    $bedroom = $this->home_model->bedroom_detail($projects->property_id);
		    
		    foreach($bedroom as $value)
		    {
		        $bed[] = $value->bedroom;
		    }
		    
		$project_detail[] = [
				'property_id' => $projects->property_id,
	         	'property_name' => $projects->property_name,
	         	'starting_price' => ($projects->starting_price=="0"?'Ask for price':nice_number($projects->starting_price)),
	         	'community_name' =>	$projects->community_name,
	         	'type_name' =>	$projects->type_name,
	         	'payment_plan' =>	($projects->on_booking + $projects->on_construction). "/" . $projects->on_handover. " Payment Plan",
	         	'status'    => $projects->featured_unfeatured_status,
	         	'slug'    => $projects->slug,
	         	'cover_image'    => $this->data['url'].$projects->cover_image,
	         	'size'    => number_format($projects->max_size). ' Sqft',
	         	'project_usps' => str_replace('&amp;','&',$projects->project_usps),
	         	'bedroom' => str_replace(" , ", ", ",str_replace("Br", "",$bed)),
	         	];
	        
	        }
	        
	        $data = array_merge(['offplan_projects'=>$project_detail], $content_detail);
	         
		$this->response($data, 200);
		
	}
	
	public function listing_get($domain_name)
	{
	    $domain_id = $this->home_model->getDomainDetail($domain_name);
		$community_id = $this->home_model->getCommunityID($domain_id)->community_id;
		
		$listing = $this->home_model->listing($community_id);
		// $content = $this->home_model->new_projects_content($community_id);
		
		// $content_detail = [
		//         'logo_image'   =>      $this->data['url'].$content->logo_image,
		//         'content'       =>      $content->new_projects_content,
		//     ];
		
		$project_detail=[];
		foreach ($listing as $projects) {
		    // $bed=[];
		    // $bedroom = $this->home_model->bedroom_detail($projects->property_id);
		    
		    // foreach($bedroom as $value)
		    // {
		    //     $bed[] = $value->bedroom;
		    // }
		    
		$project_detail[] = [
				'property_id' => $projects->property_id,
	         	'property_name' => $projects->property_name,
	         	'starting_price' => ($projects->starting_price=="0"?'Ask for price':nice_number($projects->starting_price)),
	         	'community_name' =>	$projects->community_name,
	         	'type_name' =>	$projects->type_name,
	         	'slug'    => $projects->community_slug,
	         	'cover_image'    => $this->data['url'].$projects->cover_image,
	         	'size'    => number_format($projects->max_size). ' Sqft',
	         	'project_usps' => str_replace('&amp;','&',$projects->project_usps),
	         	'bedroom' => $projects->for_sale_bedroom,
	         	];
	        
	        }
	        
	        // $data = array_merge($project_detail);
	         
		$this->response($project_detail, 200);
		
	}
	
	
}