<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Home_model extends CI_Model
{
    public function homepage_info($domain_id)
	{
		$this->db->select('c.domain_id, c.community_id, n.community_name, c.desktop_cover_image, c.desktop_cover_image2, c.desktop_cover_image3, c.mobile_cover_image, c.mobile_cover_image2, c.mobile_cover_image3, c.logo_image, c.slider_heading1, c.slider_heading2, c.slider_heading3, c.slider_tagline, c.slider_tagline2, c.slider_tagline3, c.slider_price, c.slider_price2, c.slider_price3, c.slider_payment_plan, c.slider_payment_plan2, c.slider_payment_plan3, c.slider_button_link, c.slider_button_link2, c.slider_button_link3, c.homepage_content, c.homepage_meta_title, c.homepage_meta_desc, c.homepage_meta_keywords, c.google_tag_manager_id,n.slug');
		$this->db->from('community_web_pages c');
		$this->db->join('neighbourhood n', 'n.community_id = c.community_id');
		$this->db->where('c.domain_id',$domain_id);

		$d = $this->db->get();
		return $d->row();
	}

	public function nearby_places_info($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('community_web_pages_nearby_places');
		return $d->result();
	}
	
	public function amenities_info($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('community_web_pages_amenities');
		return $d->result();
	}
	
	public function faqs_info($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('community_web_pages_faqs');
		return $d->result();
	}
	
	public function getNewProjects($community_id)
	{
		$this->db->select('p.property_id, p.property_name, p.max_size, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->where('p.property_status','NEW');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->result();
	}
	
	public function getProjectDetail($community_id, $project_name)
	{
		$this->db->select('p.property_id, p.property_name, p.max_size, p.starting_price, n.community_name, t.type_name, p.on_booking, p.on_construction, p.on_handover, p.cover_image, p.full_content, p.slug, p.on_booking, p.on_construction, p.on_handover, p.community_meta_title, p.community_meta_desc, community_meta_keywords');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','NEW');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->where('p.slug',$project_name);
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->result();
	}
	
	public function getPropertyDetail($community_id, $property_name)
	{
		$this->db->select('p.property_id, p.property_name, p.project_name, p.max_size, p.starting_price, n.community_name, t.type_name, p.cover_image, p.full_content, p.slug, p.community_meta_title, p.community_meta_desc, community_meta_keywords, p.for_sale_bedroom');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','SALE');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->where('p.community_slug',$property_name);
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->row();
	}
	
	public function getSaleGallery($property_id)
	{
		$this->db->where('property_id', $property_id);
		$d = $this->db->get('property_images_upload');
		return $d->result();
	}
	
	public function getSaleAmenities($property_id)
	{
	    $this->db->select('*');
	    $this->db->from('property_amenities_detail');
	    $this->db->join('amenities', 'amenities.amenity_id = property_amenities_detail.amenity_id');
		$this->db->where('property_id', $property_id);
		$d = $this->db->get();
		return $d->result();
	}
	
	public function getSaleUsps($property_id)
	{
		$this->db->where('property_id', $property_id);
		$d = $this->db->get('project_usps_detail');
		return $d->result();
	}

	public function getExteriorImages($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$this->db->limit(1);
		$d = $this->db->get('communities_web_pages_exterior_gallery_images');
		return $d->row();
	}

	public function getAmenities($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('community_web_pages_amenities');
		return $d->result();
	}

	public function exterior_gallery($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('communities_web_pages_exterior_gallery_images');
		return $d->result();
	}

	public function interior_gallery($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('communities_web_pages_interior_gallery_images');
		return $d->result();
	}

	public function getFeaturedProjects($community_id)
	{
		$this->db->select('p.property_id, p.property_name, p.max_size, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps, t.type_name, on_booking, on_construction, on_handover, p.featured_unfeatured_status, p.slug,p.cover_image, p.max_size');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','NEW');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->where('p.featured_unfeatured_status','featured');
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->result();
	}
	
	public function bedroom_detail($property_id)
	{
	    $this->db->select('GROUP_CONCAT(bedroom SEPARATOR ",") AS bedroom');
	    $this->db->from('property_bedroom_detail');
	    $this->db->where('property_id', $property_id);
	    $d = $this->db->get();
	    return $d->result();
	}
	
	public function getSaleFeaturedProperties($community_id)
	{
		$this->db->select('p.property_id, p.property_name, p.max_size, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps, t.type_name, p.featured_unfeatured_status, p.for_sale_bedroom, p.slug, p.cover_image, p.max_size, p.community_slug');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','SALE');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->where('p.featured_unfeatured_status','featured');
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->result();
	}
	
	public function getListingProperties($community_id, $project_name)
	{
		$this->db->select('p.property_id, p.property_name, p.project_name, p.max_size, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps, t.type_name, p.for_sale_bedroom, p.slug, p.cover_image, p.max_size');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','SALE');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->where('p.project_name',$project_name);
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');

		$d = $this->db->get();
		return $d->result();
	}

	public function getDomainDetail($domain_name)
	{
		$this->db->where('domain_name', $domain_name);
		$d = $this->db->get('community_web_pages_domain_list');
		return $d->row()->domain_id;
	}

	public function getCommunityID($domain_id)
	{
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get('community_web_pages');
		return $d->row();
	}

	public function getCommunityDetail($domain_id)
	{
		$this->db->select('*');
		$this->db->from('community_web_pages c');
		$this->db->join('neighbourhood n', 'n.community_id = c.community_id');
		$this->db->where('domain_id', $domain_id);
		$d = $this->db->get();
		return $d->row();
	}
	
	public function homepage_map_data($community_id)
	{
		$this->db->select('p.longitude, p.latitude');
		$this->db->from('property_info p');
		$this->db->where('community_id', $community_id);
		$d = $this->db->get();
		return $d->result();
	}
	
	public function new_projects($community_id)
	{
		$this->db->select('p.property_id, p.property_name, p.max_size, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps, t.type_name, on_booking, on_construction, on_handover, p.featured_unfeatured_status, p.slug,p.cover_image, p.max_size');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','NEW');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');
		$d = $this->db->get();
		return $d->result();
	}
	
	public function new_projects_content($community_id)
	{
		$this->db->select('*');
		$this->db->from('community_web_pages c');
		$this->db->where('c.community_id',$community_id);
		$d = $this->db->get();
		return $d->row();
	}
	
	public function listing($community_id)
	{
		$this->db->select('p.property_id, p.property_name, p.project_name, p.starting_price, n.community_name, GROUP_CONCAT(u.project_usps SEPARATOR " | ") AS project_usps, t.type_name, p.community_slug, p.cover_image, p.max_size, p.for_sale_bedroom');
		$this->db->from('property_info p');
		$this->db->join('neighbourhood n', 'n.community_id = p.community_id');
		$this->db->join('project_usps_detail u', 'u.property_id = p.property_id', 'left');
		$this->db->join('property_types t', 't.type_id = p.property_type_id');
		$this->db->where('p.property_status','SALE');
		$this->db->where('p.published_status','Published');
		$this->db->where('p.community_id',$community_id);
		$this->db->group_by('p.property_id');
		$this->db->order_by('p.property_id','desc');
		$d = $this->db->get();
		return $d->result();
	}
}